<?php if (!is_page_template('under-construction.php')):?>
<?php if (!is_page_template('homepage-template.php')):?>
	<div class="container">
		<?php dynamic_sidebar('Footer top sidebar'); ?>
	</div>
<?php endif;?>
    <footer class="footer">
        <div class="container">
			<?php
			$footer_widget_count = weblusive_get_option('footer_widgets');
			if ($footer_widget_count !== 'none'): ?>
            <div class="row">
				<?php
				if ($footer_widget_count !== 'none'):
					for ($i = 1; $i <= $footer_widget_count; $i++) {
						if (is_active_sidebar("footer-sidebar-$i")):
							dynamic_sidebar("Footer Widget $i");
						endif;
					}
				endif; ?>
            </div>
			<?php endif; 
			$footer_bottom_disable = weblusive_get_option('footer_bottom_disable');
			if (!$footer_bottom_disable): ?>
				<div class="copyright">
					<?php echo  htmlspecialchars_decode(do_shortcode(weblusive_get_option('footer_copyright')))?>
				</div>
			<?php endif; ?>
			<?php if(!weblusive_get_option('hide_footer_top')):?>	
			   <div id="back-to-top" data-spy="affix" data-offset-top="10" class="back-to-top affix">
					<button class="btn btn-primary" title="<?php _e('Back to Top', 'construct')?>"><i class="fa fa-angle-double-up"></i></button>
				</div>
			<?php endif; ?>
        </div>
    </footer>
<?php endif?>
<?php wp_footer()?>
</body>
</html>