<?php 
$pageId = $post->ID;
//$_SESSION['construct_page_id'] = $pageId;

$get_meta = get_post_custom($post->ID);

$weblusive_sidebar_pos = $get_meta["_weblusive_sidebar_pos"][0];
$layout =  isset($get_meta["_portfolio_item_layout"][0]) ? $get_meta["_portfolio_item_layout"][0] : '1'; 
//get_template_part( 'library/includes/page-head' ); 
get_template_part( 'inner-header', 'content');

$portfolio_type = get_post_meta($post->ID, "_portfolio_type", $single = false);
$paginationEnabled = (isset($portfolio_type) && !(empty ($portfolio_type))) ? $portfolio_type[0] : 0;
$page_template_name = get_post_meta($post->ID,'_wp_page_template',true); 


	$itemsize = '361x184';	
	$thumbsize = 'portfolio-3-cols';
	// Check which layout was selected
	switch($page_template_name)
	{
		
		case 'portfolio-template.php':
			$itemsize = '361x201';	
			$thumbsize = 'big';
			$contcClass='';
		break;
		case 'portfolio-template-3columns.php':
			$itemsize = '361x184';	
			$thumbsize = 'portfolio-3-cols';
			$contcClass='three-column';
		break;
		
		case 'portfolio-template-4columns.php':
			$itemsize = '264x134';	
			$thumbsize = 'portfolio-4-cols';
			$contcClass='four-column';
		break;
	}


if( get_post_meta($post->ID, "_page_portfolio_num_items_page", $single = true) != '' && $paginationEnabled ) 
{ 
	$items_per_page = get_post_meta($post->ID, "_page_portfolio_num_items_page", $single = false);
} 
else 
{ // else don't paginate
	$items_per_page[0] = 777;
}
$loop = new WP_Query(array('post_type' => 'portfolio', 'posts_per_page' => $items_per_page[0])); 
?>
<div  class="section  no-padding-bottom"> 
	<div class="inner">
	<div class="container">
		<div class="row">
			<?php if ($weblusive_sidebar_pos == 'left'): ?>
				<div class="col-sm-3 sidebar sidebar-left"><?php get_sidebar(); ?></div>
			<?php endif?>
			<div class="<?php if ($weblusive_sidebar_pos == 'full'):?>col-sm-12<?php else:?>col-sm-9<?php endif?> port-main-content">
				<div class="portfolio-wrapper">
				<div id="portfolio-filters" class="portfolio-filters">
					<ul class="list-inline  <?php if (!$paginationEnabled):?><?php echo 'non-paginated' ?><?php endif?>" id="filters">
						<?php if ($paginationEnabled):?>
							<li><a href="#" class=" active"><?php _e('All', 'construct')?></a></li>
							<?php 
								$cats = get_post_meta($post->ID, "_page_portfolio_cat", $single = true);
								$MyWalker = new PortfolioWalker2();
								$args = array( 'taxonomy' => 'portfolio_category', 'hide_empty' => '0', 'include' => $cats, 'title_li'=> '', 'walker' => $MyWalker, 'show_count' => '1');
								$categories = wp_list_categories ($args);
							?>
						<?php else: ?>
							<li><a  class="filter active" data-filter="*"><?php _e('All', 'construct')?></a></li>
							<?php 
								$cats = get_post_meta($post->ID, "_page_portfolio_cat", $single = true);                                                 
								$MyWalker = new PortfolioWalker();
								$args = array( 'taxonomy' => 'portfolio_category', 'hide_empty' => '0', 'include' => $cats, 'title_li'=> '', 'walker' => $MyWalker, 'show_count' => '1');
								$categories = wp_list_categories ($args);
							?>
						<?php endif ?>
					</ul>
				</div>   
				<div id="portfolio" class="portfolio <?php echo esc_attr( $contcClass ); ?>">
					<div class="portfolio-sizer"></div>
						<?php if( $cats == '' ): ?>
							<p><?php _e('No categories selected. To fix this, please login to your WP Admin area and set
								the categories you want to show by editing this page and setting one or more categories 
								in the multi checkbox field "Portfolio Categories".', 'construct')?>
							</p>
						<?php else: ?>		
							<?php 
								// If the user hasn't set a number of items per page, then use JavaScript filtering
								if( $items_per_page == 777 ) : endif; 
								$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
								//  query the posts in selected terms
								$portfolio_posts_to_query = get_objects_in_term( explode( ",", $cats ), 'portfolio_category');
							 ?>
							 <?php if (!empty($portfolio_posts_to_query)):			
								$wp_query = new WP_Query( array( 'post_type' => 'portfolio', 'orderby' => 'menu_order', 'order' => 'ASC', 'post__in' => $portfolio_posts_to_query, 'paged' => $paged, 'showposts' => $items_per_page[0] ) ); 

								if ($wp_query->have_posts()):  ?>
								<?php while ($wp_query->have_posts()) : 							
									$wp_query->the_post();
									$custom = get_post_custom($post->ID);

									// Get the portfolio item categories
									$cats = wp_get_object_terms($post->ID, 'portfolio_category');


									if ($cats):
										$cat_slugs = '';
										$cat_name='';
										foreach( $cats as $cat ) {$cat_slugs .= $cat->slug . " ";$cat_name.=$cat->name. " ";}
									endif;
									?>

									<?php 
										$link = ''; 
										$attachments = ''; 
										$thumbnail = get_the_post_thumbnail($post->ID, $thumbsize); 
										$size = isset($custom["_portfolio_item_size"][0]) ? $custom["_portfolio_item_size"][0] : '';

									?>
									<div class="item  <?php echo esc_attr($size);?> <?php echo esc_attr($cat_slugs); ?>">
										<?php if (!empty($thumbnail)): ?>
											<?php the_post_thumbnail($thumbsize, array('class' => 'img-responsive')); ?>
										<?php else :?>
											<img src="http://placehold.it/<?php echo esc_attr($itemsize)?>" alt="<?php _e ('No preview image', 'construct') ?>" />
										<?php endif?>											
											<div class="portfolio-icons" role="group">
												<?php if (!$attachments) : ?>
													<?php if (!empty($custom['_portfolio_video'][0])) : $link = $custom['_portfolio_video'][0]; ?>
														<a href="<?php echo esc_url($link) ?>" class="port-icon" data-rel="prettyPhoto" data-title="<?php the_title() ?>">
															<i class="fa fa-film"></i>
														</a>
													<?php elseif (isset($custom['_portfolio_link'][0]) && $custom['_portfolio_link'][0] != '') : ?>
														<a href="<?php echo esc_url($custom['_portfolio_link'][0]) ?>" class="port-icon" data-title="<?php the_title() ?>">
															<i class="fa fa-external-link"></i>
														</a>
													<?php elseif (isset($custom['_portfolio_no_lightbox'][0]) && $custom['_portfolio_no_lightbox'][0] != '') : $link = get_permalink(get_the_ID()); ?>
														<a href="<?php echo esc_url($link); ?>" class="port-icon" title="<?php the_title() ?>">
															<i class="fa fa-file-text-o"></i>
														</a>
													<?php else : ?>
														<?php
															$full_image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full', false);
															$link = $full_image[0];
															?>
															<a  href="<?php echo esc_url($link) ?>" class="port-icon" data-rel="prettyPhoto" data-title="<?php the_title() ?>">
																<i class="fa fa-plus-circle"></i>
															</a>
													<?php endif; ?>       
												<?php endif ?>
											</div>
										<?php if($page_template_name=='portfolio-template.php'):?>
											<div class="info clearfix">
												<span class="title"><a href="<?php echo get_permalink(get_the_ID()); ?>"><?php the_title() ?></a></span>
												<span class="category"><?php echo esc_attr( $cat_name );?></span>
											</div>
										<?php else :?>
											<div class="overlay"></div>
											<div class="content-wrapper">
												<div class="content">
													<span class="title"><?php the_title() ?></span>
													<a href="<?php echo get_permalink(get_the_ID()); ?>" class="button border yellow small"><?php _e ('View', 'construct') ?></a>
												</div>
											</div>
										<?php endif;?>
									</div>
								<?php endwhile; ?>
							<?php endif;?>
						<?php endif;?>
					<?php endif?>		
				</div>
				<?php if ($paginationEnabled ):?>
					<?php if ( $wp_query->max_num_pages > 1 ): ?>
						<nav class="pagination-right">
							<?php include(construct_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?> 
						</nav>
					<?php endif?>
				<?php endif?>	
				</div>
			</div>
			<?php if ($weblusive_sidebar_pos == 'right'): ?><div class="col-sm-3 sidebar"><?php get_sidebar(); ?></div><?php endif?>
		</div>
	</div>
	</div>
</div>
<?php echo do_shortcode(getPageContent($pageId)); ?>