<?php

/******************* BUTTONS ********************/
vc_map( array(
   "name" => __("Construct button", "construct"),
   "base" => "button",
   "class" => "",
   "icon" => "icon-wpb-my_button",
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
        array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Animation", "construct"),
         "param_name" => "anim",
         "value" => array( "None"=>"", "bounce"=>"bounce", "flash"=>"flash", "pulse"=>"pulse", "shake"=>"shake", "swing"=>"swing", "tada"=>"tada", "wobble"=>"wobble", "bounceIn"=>"bounceIn", "bounceInDown"=>"bounceInDown", "bounceInLeft"=>"bounceInLeft", "bounceInRight"=>"bounceInRight", "bounceInUp"=>"bounceInUp", "bounceOut"=>"bounceOut", "bounceOutDown"=>"bounceOutDown", "bounceOutLeft"=>"bounceOutLeft", "bounceOutRight"=>"bounceOutRight", "bounceOutUp"=>"bounceOutUp", "fadeIn"=>"fadeIn", "fadeInDown"=>"fadeInDown", "fadeInDownBig"=>"fadeInDownBig", "fadeInLeft"=>"fadeInLeft", "fadeInLeftBig"=>"fadeInLeftBig", "fadeInRight"=>"fadeInRight", "fadeInRightBig"=>"fadeInRightBig", "fadeInUp"=>"fadeInUp", "fadeInUpBig"=>"fadeInUpBig", "fadeOut"=>"fadeOut", "fadeOutDown"=>"fadeOutDown", "fadeOutDownBig"=>"fadeOutDownBig", "fadeOutLeft"=>"fadeOutLeft", "fadeOutLeftBig"=>"fadeOutLeftBig", "fadeOutRight"=>"fadeOutRight", "fadeOutRightBig"=>"fadeOutRightBig", "fadeOutUp"=>"fadeOutUp", "fadeOutUpBig"=>"fadeOutUpBig", "flip"=>"flip", "flipInX"=>"flipInX", "flipInY"=>"flipInY", "flipOutX"=>"flipOutX", "flipOutY"=>"flipOutY", "lightSpeedIn"=>"lightSpeedIn", "lightSpeedOut"=>"lightSpeedOut", "rotateIn"=>"rotateIn", "rotateInDownLeft"=>"rotateInDownLeft", "rotateInDownRight"=>"rotateInDownRight", "rotateInUpLeft"=>"rotateInUpLeft", "rotateInUpRight"=>"rotateInUpRight", "rotateOut"=>"rotateOut", "rotateOutDownLeft"=>"rotateOutDownLeft", "rotateOutDownRight"=>"rotateOutDownRight", "rotateOutUpLeft"=>"rotateOutUpLeft", "rotateOutUpRight"=>"rotateOutUpRight",  "hinge"=>"hinge", "rollIn"=>"rollIn", "rollOut"=>"rollOut", "zoomIn"=>"zoomIn","zoomInDown"=>"zoomInDown", "zoomInLeft"=>"zoomInLeft","zoomInRight"=>"zoomInRight","zoomInUp"=>"zoomInUp","zoomOut"=>"zoomOut", "zoomOutLeft"=>"zoomOutLeft", "zoomOutRight"=>"zoomOutRight","zoomOutUp"=>"zoomOutUp"),
         "description" => __(" Animation.", "construct")
      ),
	    array(
         "type" => "dropdown",  
         "class" => "",
         "heading" => __("Type", "construct"),
         "param_name" => "type",
         "value" => array("Solid"=>"solid","Bordered"=>"border"),
         "description" => __(" Choose button type.", "construct")
      ),
       array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Color", "construct"),
         "param_name" => "color",
         "value" => array("Red"=>"red", "Yellow"=>"yellow", "Green"=>"green","Blue"=>"blue", "Dark"=>"dark"),
      ),
      array(
         "type" => "dropdown",
         
         "class" => "",
         "heading" => __("Size", "construct"),
         "param_name" => "size",
         "value" => array("Default"=>"defaultsize", "Small"=>"small"),
      ),
      
      array(
         "type" => "textfield",
         
         "class" => "",
         "heading" => __("Link", "construct"),
         "param_name" => "link",
         "description" => __(" Link to.", "construct")
      ),
       array(
         "type" => "textfield",
         "holder"=>"div",
         "class" => "",
         "heading" => __("Text", "construct"),
         "param_name" => "content",
         "description" => __(" Write button text.", "construct")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Icon Family", "construct"),
         "param_name" => "family",
         "value"=>array("Font Awesome"=>"fa", "Ion icons"=>"ion")
		),
		array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Icon", "construct"),
         "param_name" => "icon"
	 ),
	   
        array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      )
   )
) );

/************************************************/
?>