<?php

/***************TITLE BLOCK***************************/

/*****************************************/
vc_map( array(
   "name" => __("Construct Heading", "construct"),
   "base" => "tblock",
   "class" => "",
   "icon" => "icon-wpb-my_tblock",
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
       array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Animation", "construct"),
         "param_name" => "anim",
         "value" => array( "None"=>"", "bounce"=>"bounce", "flash"=>"flash", "pulse"=>"pulse", "shake"=>"shake", "swing"=>"swing", "tada"=>"tada", "wobble"=>"wobble", "bounceIn"=>"bounceIn", "bounceInDown"=>"bounceInDown", "bounceInLeft"=>"bounceInLeft", "bounceInRight"=>"bounceInRight", "bounceInUp"=>"bounceInUp", "bounceOut"=>"bounceOut", "bounceOutDown"=>"bounceOutDown", "bounceOutLeft"=>"bounceOutLeft", "bounceOutRight"=>"bounceOutRight", "bounceOutUp"=>"bounceOutUp", "fadeIn"=>"fadeIn", "fadeInDown"=>"fadeInDown", "fadeInDownBig"=>"fadeInDownBig", "fadeInLeft"=>"fadeInLeft", "fadeInLeftBig"=>"fadeInLeftBig", "fadeInRight"=>"fadeInRight", "fadeInRightBig"=>"fadeInRightBig", "fadeInUp"=>"fadeInUp", "fadeInUpBig"=>"fadeInUpBig", "fadeOut"=>"fadeOut", "fadeOutDown"=>"fadeOutDown", "fadeOutDownBig"=>"fadeOutDownBig", "fadeOutLeft"=>"fadeOutLeft", "fadeOutLeftBig"=>"fadeOutLeftBig", "fadeOutRight"=>"fadeOutRight", "fadeOutRightBig"=>"fadeOutRightBig", "fadeOutUp"=>"fadeOutUp", "fadeOutUpBig"=>"fadeOutUpBig", "flip"=>"flip", "flipInX"=>"flipInX", "flipInY"=>"flipInY", "flipOutX"=>"flipOutX", "flipOutY"=>"flipOutY", "lightSpeedIn"=>"lightSpeedIn", "lightSpeedOut"=>"lightSpeedOut", "rotateIn"=>"rotateIn", "rotateInDownLeft"=>"rotateInDownLeft", "rotateInDownRight"=>"rotateInDownRight", "rotateInUpLeft"=>"rotateInUpLeft", "rotateInUpRight"=>"rotateInUpRight", "rotateOut"=>"rotateOut", "rotateOutDownLeft"=>"rotateOutDownLeft", "rotateOutDownRight"=>"rotateOutDownRight", "rotateOutUpLeft"=>"rotateOutUpLeft", "rotateOutUpRight"=>"rotateOutUpRight",  "hinge"=>"hinge", "rollIn"=>"rollIn", "rollOut"=>"rollOut", "zoomIn"=>"zoomIn","zoomInDown"=>"zoomInDown", "zoomInLeft"=>"zoomInLeft","zoomInRight"=>"zoomInRight","zoomInUp"=>"zoomInUp","zoomOut"=>"zoomOut", "zoomOutLeft"=>"zoomOutLeft", "zoomOutRight"=>"zoomOutRight","zoomOutUp"=>"zoomOutUp"),
         "description" => __(" Animation.", "construct")
      ),
	    array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Type", "construct"),
         "param_name" => "type",
         "value" => array("Default"=>"default-heading","Border Left"=>"bordered-left","Border Bottom"=>"bordered-bottom","Bracket"=>"bracket")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Tag", "construct"),
         "param_name" => "tag",
         "value" => array("H1"=>"h1","H2"=>"h2","H3"=>"h3","H4"=>"h4","H5"=>"h5","H6"=>"h6")
      ),
      array(
         "type" => "textfield",
         "holder"=>"div",
         "class" => "",
         "heading" => __("Title", "construct"),
         "param_name" => "title"
      ),
	   array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Secondary text", "construct"),
         "param_name" => "sectext"
      ),
	    array(
         "type" => "colorpicker",
         "class" => "",
         "heading" => __("Title custom color", "construct"),
         "param_name" => "tcuscolor"
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Position", "construct"),
         "param_name" => "pos",
         "value" => array("Left"=>"text-left","Center"=>"text-center","Right"=>"text-right")
      ),
       array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      ),
   )
) );
/*********************************************/
?>