<?php
/***************** TEAM MEMBERS *******************/

/*****************************************************/
vc_map( array(
   "name" => __("Construct Team Member", "construct"),
   "base" => "vc_teammember",
   "class" => "",
   "icon" => "icon-wpb-my_teammember",
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
        array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Animation", "construct"),
         "param_name" => "anim",
         "value" => array( "None"=>"", "bounce"=>"bounce", "flash"=>"flash", "pulse"=>"pulse", "shake"=>"shake", "swing"=>"swing", "tada"=>"tada", "wobble"=>"wobble", "bounceIn"=>"bounceIn", "bounceInDown"=>"bounceInDown", "bounceInLeft"=>"bounceInLeft", "bounceInRight"=>"bounceInRight", "bounceInUp"=>"bounceInUp", "bounceOut"=>"bounceOut", "bounceOutDown"=>"bounceOutDown", "bounceOutLeft"=>"bounceOutLeft", "bounceOutRight"=>"bounceOutRight", "bounceOutUp"=>"bounceOutUp", "fadeIn"=>"fadeIn", "fadeInDown"=>"fadeInDown", "fadeInDownBig"=>"fadeInDownBig", "fadeInLeft"=>"fadeInLeft", "fadeInLeftBig"=>"fadeInLeftBig", "fadeInRight"=>"fadeInRight", "fadeInRightBig"=>"fadeInRightBig", "fadeInUp"=>"fadeInUp", "fadeInUpBig"=>"fadeInUpBig", "fadeOut"=>"fadeOut", "fadeOutDown"=>"fadeOutDown", "fadeOutDownBig"=>"fadeOutDownBig", "fadeOutLeft"=>"fadeOutLeft", "fadeOutLeftBig"=>"fadeOutLeftBig", "fadeOutRight"=>"fadeOutRight", "fadeOutRightBig"=>"fadeOutRightBig", "fadeOutUp"=>"fadeOutUp", "fadeOutUpBig"=>"fadeOutUpBig", "flip"=>"flip", "flipInX"=>"flipInX", "flipInY"=>"flipInY", "flipOutX"=>"flipOutX", "flipOutY"=>"flipOutY", "lightSpeedIn"=>"lightSpeedIn", "lightSpeedOut"=>"lightSpeedOut", "rotateIn"=>"rotateIn", "rotateInDownLeft"=>"rotateInDownLeft", "rotateInDownRight"=>"rotateInDownRight", "rotateInUpLeft"=>"rotateInUpLeft", "rotateInUpRight"=>"rotateInUpRight", "rotateOut"=>"rotateOut", "rotateOutDownLeft"=>"rotateOutDownLeft", "rotateOutDownRight"=>"rotateOutDownRight", "rotateOutUpLeft"=>"rotateOutUpLeft", "rotateOutUpRight"=>"rotateOutUpRight",  "hinge"=>"hinge", "rollIn"=>"rollIn", "rollOut"=>"rollOut", "zoomIn"=>"zoomIn","zoomInDown"=>"zoomInDown", "zoomInLeft"=>"zoomInLeft","zoomInRight"=>"zoomInRight","zoomInUp"=>"zoomInUp","zoomOut"=>"zoomOut", "zoomOutLeft"=>"zoomOutLeft", "zoomOutRight"=>"zoomOutRight","zoomOutUp"=>"zoomOutUp"),
         "description" => __(" Animation.", "construct")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Type", "construct"),
         "param_name" => "type",
         "value" => array("Default"=>"default","Alternative"=>"alter")
      ),
      array(
         "type" => "textfield",
         "holder"=>"div",
         "class" => "",
         "heading" => __("Name", "construct"),
         "param_name" => "name"
      ),
      array(
         "type" => "textfield",
         
         "class" => "",
         "heading" => __("Position", "construct"),
         "param_name" => "position"
      ),
       array(
         "type" => "attach_image",
         
         "class" => "",
         "heading" => __("Photo ", "construct"),
         "param_name" => "photo"
      ),
	    
         array(
         "type" => "textarea_html",
         
         "class" => "",
         "heading" => __("Member description", "construct"),
         "param_name" => "content"
      ),
	   array(
         "type" => "textfield",     
         "class" => "",
         "heading" => __("Link to Facebook profile(optional)", "construct"),
         "param_name" => "fb"
      ),
        array(
         "type" => "textfield",  
         "class" => "",
         "heading" => __("Link to Twitter profile(optional)", "construct"),
         "param_name" => "tw"
      ),
       
        array(
         "type" => "textfield",    
         "class" => "",
         "heading" => __("Link to Google+ profile(optional)", "construct"),
         "param_name" => "gpl"
      ),
        array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      ),
   )
) );

/*********************************************/
?>