<?php get_header();
$bgimage=weblusive_get_option('innerheading_background_image');
if($bgimage) {
	$bgimg=$bgimage;
}else{
	$bgimg=get_template_directory_uri() .'/images/inner_bg.jpg' ;
}
?>
<?php if(!((weblusive_get_option('hide_titles') && weblusive_get_option('hide_breadcrumbs')))):?>
<div class="page-title" style="background: url(<?php echo esc_url($bgimg);?>) no-repeat;">
	<div class="inner">
		<div class="container">
			<?php if (!weblusive_get_option('hide_titles')):?>
			<div class="title">
					<?php _e('Page not found', 'construct')?>
			</div>
			<?php endif; ?>
			<?php if (!weblusive_get_option('hide_breadcrumbs')):?>
				<?php if(class_exists('the_breadcrumb')){ $albc = new the_breadcrumb; } ?>
			<?php endif; ?>
		</div>
	</div>
</div>
<?php endif; ?>
<div class="section  no-padding-bottom">
	<div class="inner">
		<div class="container">
			<div class="row">
				<div class="notfound"></div>
				<p class="lost"></p>
				<div class="col-md-8 notfound_text col-md-offset-2">
					<p class="notfound_description">
						<?php _e('The page you are looking for seems to be missing.Go back, or return to yourcompany.com to choose a new direction.Please report any broken links to our team.', 'construct')?>
					</p>
					<a class="button solid yellow" href="javascript: history.go(-1)"><i class="fa fa-undo"></i><?php _e('Return to previous page', 'construct')?></a>
				</div>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>
