<?php get_header();

$sidebar = weblusive_get_option('sidebar_archive');

$sidebarPos =  weblusive_get_option('sidebar_pos');
if (empty ($sidebar)) $sidebarPos = 'full';

$bgimage=weblusive_get_option('innerheading_background_image');
if($bgimage) {
	$bgimg=$bgimage;
}else{
	$bgimg=get_template_directory_uri() .'/images/inner_bg.jpg' ;
}
?>
<?php if(!((weblusive_get_option('hide_titles') && weblusive_get_option('hide_breadcrumbs')))):?>
<div class="page-title" style="background: url(<?php echo esc_url($bgimg);?>) no-repeat;">
	<div class="inner">
		<div class="container">
			<?php if (!weblusive_get_option('hide_titles')):?>
			<div class="title">
					<?php if (is_day()) : ?>
						<?php printf(__('Daily Archives: %s', 'construct'), get_the_date()); ?>
					<?php elseif (is_month()) : ?>
							<?php printf(__('Monthly Archives: %s', 'construct'), get_the_date('F Y')); ?>
					<?php elseif (is_year()) : ?>
						<?php printf(__('Yearly Archives: %s', 'construct'), get_the_date('Y')); ?>
					<?php elseif (is_category()) : ?>
						<?php single_cat_title(); ?>
					<?php else : ?>
						<?php _e('Blog Archives', 'construct'); ?>
					<?php endif; ?>
			</div>
			<?php endif; ?>
			<?php if (!weblusive_get_option('hide_breadcrumbs')):?>
				<?php if(class_exists('the_breadcrumb')){ $albc = new the_breadcrumb; } ?>
			<?php endif; ?>
		</div>
	</div>
</div>
<?php endif; ?>
<div class="section  no-padding-bottom">
	<div class="inner">
		<div class="container">
			<div class="row">
			<?php if ($sidebarPos == 'left' ):?><div class="col-sm-3 sidebar sidebar-left"><?php get_sidebar($sidebar); ?></div><?php endif?>
			<div class=" <?php if ($sidebarPos == 'full' || empty($sidebar)):?>col-sm-12<?php else:?>col-sm-9<?php endif?> blog-main-content">
				<div class="blog-posts">
				<?php
					if ( have_posts() ) the_post();
					rewind_posts();       
					get_template_part( 'loop', 'archive' );
				?>
				</div>
				<?php if ( $wp_query->max_num_pages > 1 ): ?>
				<nav class="pagination-right">
					<?php include(construct_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
				</nav>
				<?php endif?>
			</div>
			<?php if ($sidebarPos == 'right'):?><div class="col-sm-3 sidebar" ><?php get_sidebar($sidebar); ?></div><?php endif?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>