<?php /* Main entry file */

get_header();
$catid = get_query_var('cat');
$cat = get_category($catid);
if ( get_query_var('paged') ) {

    $paged = get_query_var('paged');

} elseif ( get_query_var('page') ) {

    $paged = get_query_var('page');

} else {

    $paged = 1;

}

$get_meta = get_post_custom($post->ID);
$weblusive_sidebar_pos = isset( $get_meta['_weblusive_sidebar_pos'][0]) ? $get_meta["_weblusive_sidebar_pos"][0] : 'right';
$sidebarLayout=  weblusive_get_option('sidebar_layout_type');
//get_template_part( 'library/includes/page-head' );  
get_template_part( 'inner-header', 'content');
?>
<div class="section  no-padding-bottom">
	<div class="inner">
		<div class="container">
			<div class="row">
				<?php if ($weblusive_sidebar_pos == 'left'):?><aside class="col-sm-3 sidebar sidebar-left" ><?php get_sidebar(); ?></aside><?php endif?>
				<div class="blog-inner <?php if ($weblusive_sidebar_pos == 'full'):?>col-sm-12 full-content<?php else:?>col-sm-9<?php endif?> blog-main-content">
					<div class="blog-posts">
					<?php  
						$temp = $wp_query;
						$wp_query= null;
						$wp_query = new WP_Query();
						$pp = get_option('posts_per_page');
						$wp_query->query('posts_per_page='.$pp.'&paged='.$paged);			
						get_template_part( 'loop', 'index' );
						wp_link_pages();
						?>
					</div>
						<?php if ( $wp_query->max_num_pages > 1 ): ?>
							<nav class="pagination-right">
									<?php include(construct_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
							</nav>
						<?php endif?>
				</div>
				<?php if ($weblusive_sidebar_pos == 'right'):?><aside class="col-sm-3 sidebar"><?php get_sidebar(); ?></aside><?php endif?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>