<?php echo '<style type="text/css">' ;?>
	<?php
		$maincolor = get_theme_mod('global_color');
		$seccolor = get_theme_mod('global_color_sec');	
		$rtl =  weblusive_get_option('rtl_mode');
		if (!empty($maincolor)):
			$bg = HexToRGB($maincolor);	
	?>
		/******************global color****************************/
		
		/*background*/
		.navigation-button, .button.solid.yellow, .nav-tabs>li.active>a:before, .tweet .twitter-item i.fa-twitter, #wp-calendar caption,
		.button.border.yellow:before,.tblock.bordered-bottom:after, .price-shortcode.pricing .pricingInner .list-group .list-group-item:first-child,
		.price-shortcode.pricing .pricingInner .list-group .list-group-item:last-child a, .price-shortcode.pricing .pricingInner .list-group:hover .list-group-item,
		.price-shortcode.pricing .pricingInner .list-group:hover .list-group-item:last-child, .call-to-action,table thead th
		{
			background-color:<?php echo esc_attr( $maincolor ); ?>;
		}
		
		
		::-moz-selection {background-color:<?php echo esc_attr( $maincolor ); ?>;}
		::selection {background-color:<?php echo esc_attr( $maincolor ); ?>;}
		/*color*/
		
		ul.side-social li a:hover, .nav-tabs>li.active>a, .nav-tabs>li.active>a:focus, .nav-tabs>li.active>a:hover, .fa-li, 
		.price-shortcode.pricing .pricingInner .list-group:hover .list-group-item:first-child h3, .price-shortcode.pricing .pricingInner .list-group:hover .list-group-item:first-child h5,
		.price-shortcode.pricing .pricingInner .list-group:hover .list-group-item:last-child a, .x-large-heading.yellow small, .eemail_caption
		{
			color:<?php echo esc_attr( $maincolor ); ?>;
		}
		
		/*border-color*/
		
		.tblock.bracket span:before, .tblock.bracket span:after,table thead th
		{
			border-color:<?php echo esc_attr( $maincolor ); ?>;
		}
		.eemail_button input[type="button"].eemail_textbox_button {border-left-color: <?php echo esc_attr( $maincolor ); ?> !important;}
		
		.sidebar-widget h3, ul.wp-tag-cloud li a:hover, .small-heading, .portfolio .item .info .title,.blog-posts .blog-post.quote .blog-post-quote,
		.blog-posts .blog-post .blog-post-title h3, .tblock.bordered-left, .service h4, .service h5,.large-call-to-action h1{
			border-left-color:<?php echo esc_attr( $maincolor ); ?>;
		} 
		
		.rectangle-list a:hover:after, .border-list a:hover:after{
			border-left-color:<?php echo esc_attr( $maincolor ); ?>;
		}	
		<?php if ($rtl):?><?php endif?>
	<?php endif?>
	<?php if (!empty($seccolor)):?>
		
		/************************Secondary Color*******************/
		/*background*/
		
		.main-nav ul>li.active a:before,.portfolio .item a.port-icon, .pagination>.active>a:before, .blog-posts .blog-post .post-format-icon,
		.button.solid.red, .vertical-tabs .nav-tabs>li.active>a, .vertical-tabs .nav-tabs>li.active>a:focus, .vertical-tabs .nav-tabs>li.active>a:hover,
		.vertical-tabs .nav-tabs>li>a span, .button.border.red:before, .owl-theme .owl-dots .owl-dot.active span, .owl-theme .owl-dots .owl-dot:hover span,
		.content-slider .owl-controls div.owl-next:hover, .content-slider .owl-controls div.owl-prev:hover,.vertical-tabs .nav-tabs>li>a:hover
		{
			background-color:<?php echo esc_attr( $maincolor ); ?>;
		}
		
		/*color*/
		
		a, a:hover, .main-nav ul>li.active a, .breadcrumb>.active, .portfolio-filters ul li a.active, ul.alter2 li a:hover h5,
		.blog-widget .blog-post a:hover h6
		{
			color:<?php echo esc_attr( $maincolor ); ?>;
		}
		
		/*border-color*/
		
		
		ul.alter2 li a:hover h5{
			border-color:<?php echo esc_attr( $maincolor ); ?>;
		}
		
		/*border-left*/
		
		.widget_categories ul li a:hover, .portfolio-filters ul li a.active, blockquote, .leave-reply input[type="submit"], .wpcf7-form-control.wpcf7-submit{
			border-left-color:<?php echo esc_attr( $maincolor ); ?>;
		} 
		
		/*border-bottom*/
		.vertical-tabs .nav-tabs>li.active>a, .vertical-tabs .nav-tabs>li.active>a:focus, .vertical-tabs .nav-tabs>li.active>a:hover,
		.vertical-tabs .nav-tabs>li>a:hover{
			border-bottom-color:<?php echo esc_attr( $maincolor ); ?>;
		} 
		
		<?php $newcolor = HexToRGB($seccolor, 1);?>
		.portfolio .overlay{background:rgba(<?php echo esc_attr( $newcolor['r'] ).','.$newcolor['g'].','.$newcolor['b'].', 0.87'?>)}
		
	<?php endif;?>
	<?php if( get_option('topnav_bg_image') || get_theme_mod( 'topnav_bg_color')):?>
	/*********************   TOP NAVIGATION   **************************/
	.header .top{
			<?php if(get_theme_mod('topnav_bg_color')) : ?>background-color:<?php echo get_theme_mod('topnav_bg_color'); ?>; <?php endif; ?>
			<?php if(get_option('topnav_bg_image')) : ?>background-image:url('<?php   echo get_option('topnav_bg_image') ?>');   <?php endif; ?>
			<?php if(get_theme_mod('topnav_bg_repeat')) : ?>background-repeat:<?php echo get_theme_mod('topnav_bg_repeat');?>; <?php endif; ?>
		}
	<?php endif; ?>
	<?php if(get_theme_mod('topnav_text')):?>
	.header .top .topbar-sidebar, .header .top .topbar-sidebar p, .header .top .topbar-sidebar li{color:<?php echo get_theme_mod('topnav_text')?> }
	<?php endif?>
	<?php if( get_theme_mod('topnav_link_color')):?>
	.header .top .topbar-sidebar a{color:<?php echo get_theme_mod('topnav_link_color')?> !important;}
	<?php endif?>
	<?php if(get_theme_mod('topnav_link_color_hov')):?>
	.header .top .topbar-sidebar a:hover{color:<?php echo get_theme_mod('topnav_link_color_hov')?> !important}
	<?php endif?> 	
	<?php if(true===get_theme_mod('bg_size') && (get_option('bg_image') || get_theme_mod('bg_color'))) :?>		
		/****************Custom background**************************/
		body .section>.inner{
			background-color:<?php echo get_theme_mod('bg_color'); ?>;
			background: url('<?php echo get_option('bg_image'); ?>') no-repeat center center fixed;
			background-size: cover;
			-webkit-background-size: cover;
			-moz-background-size: cover;
			-o-background-size: cover;
			filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo get_option('bg_image') ?>',sizingMethod='scale') !important;<?php echo "\n"; ?>
			-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo get_option('bg_image') ?>',sizingMethod='scale')" !important;<?php echo "\n"; ?>
			
		}
	<?php elseif(false===get_theme_mod('bg_size') && (get_option('bg_image') || get_theme_mod('bg_color'))) : ?>
		/****************Custom background**************************/
		body .section>.inner{
			<?php if(get_theme_mod('bg_color')) : ?>background-color:<?php echo get_theme_mod('bg_color'); ?>; <?php endif; ?>
			<?php if(get_option('bg_image')) : ?>background-image:url('<?php   echo get_option('bg_image') ?>');   <?php endif; ?>
			<?php if(get_theme_mod('bg_repeat')) : ?>background-repeat:<?php echo get_theme_mod('bg_repeat');?>; <?php endif; ?>
			<?php if(get_theme_mod('bg_att')) : ?>background-attachment:<?php echo get_theme_mod('bg_att');?>; <?php endif; ?>
			<?php $hor = get_theme_mod('bg_hor');  $ver = get_theme_mod('bg_ver'); if (!$hor) $hor=0; if (!$ver) $ver=0; ?>
			background-position:<?php echo esc_attr( $hor ).' '.$ver ?>; 
		}
	<?php endif;?>
	<?php if( get_theme_mod('header_bg_color') || get_theme_mod('header_bg_image') || get_theme_mod('header_bg_repeat') || get_option('header_bg_image')):?>
		/*************************Header*****************/
		.header .navigation{
			<?php if(get_theme_mod('header_bg_color')) : ?>background-color:<?php echo get_theme_mod('header_bg_color'); ?>;<?php endif; ?>
			<?php if(get_option('header_bg_image')) : ?>background-image:url('<?php echo get_option('header_bg_image') ?>'); <?php endif; ?>
			<?php if(get_theme_mod('header_bg_repeat')) : ?>background-repeat:<?php echo get_theme_mod('header_bg_repeat')?>;<?php endif; ?>
			<?php if(get_theme_mod('header_bg_att')) : ?>background-attachment:<?php echo get_theme_mod('header_bg_att')?>;<?php endif; ?>
			<?php $hor = get_theme_mod('header_bg_hor');  $ver = get_theme_mod('header_bg_ver'); if (!$hor) $hor=0; if (!$ver) $ver=0; ?>
			background-position:<?php echo esc_attr( $hor ).' '.$ver ?>; 
		}
	<?php endif?>
	<?php if( get_theme_mod('title_content_bg_color') || get_option('title_content_bg_image')):?>
	/******************content********************/
	.page-title{
		<?php if (get_theme_mod('title_content_bg_color')): ?>background:<?php echo get_theme_mod('title_content_bg_color'); ?> !important;<?php endif; ?>
		<?php if(get_option('title_content_bg_image')) : ?>background:url('<?php   echo get_option('title_content_bg_image') ?>') !important;<?php endif; ?>
		<?php if (get_theme_mod('title_content_bg_repeat')): ?>background-repeat:<?php echo get_theme_mod('title_content_bg_repeat') ;?>!important;<?php endif; ?>
		<?php if (get_theme_mod('title_content_bg_att')): ?>background-attachment:<?php echo get_theme_mod('title_content_bg_att');?>!important;<?php endif; ?>
		<?php if (get_theme_mod('title_content_bg_hor')): ?>background-position-x:<?php echo get_theme_mod('title_content_bg_hor');  ?>!important;<?php endif; ?>
		<?php if (get_theme_mod('title_content_bg_ver')): ?>background-position-y:<?php echo  get_theme_mod('title_content_bg_ver');?>!important;<?php endif; ?>
	}
	<?php endif?>
		<?php if(get_option('footer_bg_image') || get_theme_mod('footer_bg_color')):?>
		/********************footer*******************/
		.footer{
			<?php if(get_theme_mod('footer_bg_color')): ?>background-color: <?php echo get_theme_mod('footer_bg_color')?>;<?php endif?>
			<?php if(get_option('footer_bg_image')) : ?>background-image:url('<?php echo get_option('footer_bg_image') ?>');<?php endif; ?>
			<?php if(get_theme_mod('footer_bg_repeat')): ?>background-repeat: <?php echo get_theme_mod('footer_bg_repeat')?>;<?php endif?>
			<?php if(get_theme_mod('footer_bg_att')): ?>background-attachment: <?php echo get_theme_mod('footer_bg_att')?>;<?php endif?>
			<?php $hor = get_theme_mod('footer_bg_hor');  $ver = get_theme_mod('footer_bg_ver'); if (!$hor) $hor=0; if (!$ver) $ver=0; ?>
			background-position:<?php echo esc_attr( $hor ).' '.$ver ?>; 
		}
		<?php endif?>
		<?php if(get_option('footerbottom_bg_image') || get_theme_mod('footerbottom_bg_color')):?>
		.footer .copyright{
			<?php if(get_theme_mod('footerbottom_bg_color')): ?>background-color: <?php echo get_theme_mod('footerbottom_bg_color')?>;<?php endif?>
			<?php if(get_option('footerbottom_bg_image')) : ?>background-image:url('<?php echo get_option('footerbottom_bg_image') ?>');<?php endif; ?>
			<?php if(get_theme_mod('footerbottom_bg_repeat')): ?>background-repeat: <?php echo get_theme_mod('footerbottom_bg_repeat')?>;<?php endif?>
			<?php if(get_theme_mod('footerbottom_bg_att')): ?>background-attachment: <?php echo get_theme_mod('footerbottom_bg_att')?>;<?php endif?>
			<?php $hor = get_theme_mod('footerbottom_bg_hor');  $ver = get_theme_mod('footerbottom_bg_ver'); if (!$hor) $hor=0; if (!$ver) $ver=0; ?>
			background-position:<?php echo esc_attr( $hor ).' '.$ver ?>; 
		}
		<?php if(get_theme_mod('footerbottom_text_color')): ?>.footer .copyright, .footer .copyright p{color:<?php echo get_theme_mod('footerbottom_text_color')?>}<?php endif?> 
		<?php if(get_theme_mod('footerbottom_links_color')): ?>.footer .copyright a{color:<?php echo get_theme_mod('footerbottom_links_color')?>}<?php endif?> 
		<?php if(get_theme_mod('footerbottom_links_color_hov')): ?>.footer .copyright a:hover {color:<?php echo get_theme_mod('footerbottom_links_color_hov')?>}<?php endif?>
		<?php endif?>
		<?php $ftc = get_theme_mod('footer_title_color'); if (!empty($ftc)):?>
			.footer .footer-widget h4.small-heading{color:<?php echo esc_attr( $ftc ); ?>;}
		<?php endif?>
		<?php $flc = get_theme_mod('footer_links_color'); if (!empty($flc)):?>
		.footer a, .footer .footer-widget  a{color:<?php echo esc_attr( $flc ); ?>;}
		<?php endif?>
		<?php $flch = get_theme_mod('footer_links_color_hov'); if (!empty($flch)):?>
		.footer a:hover, .footer .footer-widget a:hover{color:<?php echo esc_attr( $flch ); ?>;}
		<?php endif?>
		<?php if(get_theme_mod('link_color') || get_theme_mod('link_decor')):?>
		/***********************Links*************************/
		a{
			color:<?php echo get_theme_mod('link_color'); ?>;
			text-decoration:<?php echo get_theme_mod('link_decor'); ?>;
		}
		<?php endif?>
		<?php if(get_theme_mod('link_color_hov') || get_theme_mod('link_decor_hov')):?>
		a:hover{
			color:<?php echo get_theme_mod('link_color_hov'); ?>;
			text-decoration:<?php echo get_theme_mod('link_decor_hov'); ?> ;
		}
		<?php endif?>
		/****************** MAIN NAVIGATION *******************/
		<?php if (get_option('nav_bg_image') || get_theme_mod('nav_bg_color')):?>
			nav.main-nav{
				<?php if(get_theme_mod('nav_bg_color')) : ?>background:<?php echo get_theme_mod('nav_bg_color'); ?>; <?php endif; ?>
				<?php if(get_option('nav_bg_image')) : ?>background-image:url('<?php echo get_option('nav_bg_image') ?>');   <?php endif; ?>
				<?php if(get_theme_mod('nav_bg_repeat')) : ?>background-repeat:<?php echo get_theme_mod('nav_bg_repeat');?>; <?php endif; ?>
				<?php if(get_theme_mod('nav_bg_att')) : ?>background-attachment:<?php echo get_theme_mod('nav_bg_att');?>; <?php endif; ?>
				<?php $hor = get_theme_mod('nav_bg_hor');  $ver = get_theme_mod('nav_bg_ver'); if (!$hor) $hor=0; if (!$ver) $ver=0; ?>
				background-position:<?php echo esc_attr( $hor ).' '.$ver ?>; 
			}
		<?php endif?>
		<?php if(get_theme_mod('nav_links_color')):?>.main-nav>ul>li>a{color:<?php echo get_theme_mod('nav_links_color'); ?>;}<?php endif?>
		<?php if(get_theme_mod('nav_links_color_hover')):?>.main-nav>ul>li>a:hover{color:<?php echo get_theme_mod('nav_links_color_hover'); ?> !important;}<?php endif?>
		<?php if(get_theme_mod('nav_current_links_color')):?>.main-nav ul>li.active a{color:<?php echo get_theme_mod('nav_current_links_color'); ?> !important;}<?php endif?>
		<?php if(get_theme_mod('nav_current_links_color')):?>.main-nav ul>li.active a:before{background:<?php echo get_theme_mod('nav_current_links_color'); ?> !important;}<?php endif?>
		<?php if(get_theme_mod('sub_nav_color')):?>.main-nav>ul>li ul li a{color:<?php echo get_theme_mod('sub_nav_color'); ?>;}<?php endif?>
		<?php if(get_theme_mod('sub_nav_background')):?>.main-nav>ul>li ul li a{background:<?php echo get_theme_mod('sub_nav_background'); ?> }<?php endif?>
		<?php if(get_theme_mod('sub_nav_hover_background')):?>.main-nav>ul>li ul li a:hover{background:<?php echo get_theme_mod('sub_nav_hover_background'); ?> }<?php endif?>
		<?php if(get_theme_mod('sub_nav_hover_color')):?>.main-nav>ul>li ul li a:hover{color:<?php echo get_theme_mod('sub_nav_hover_color'); ?> }<?php endif?>
		<?php $sep = get_theme_mod( 'nav_separator' ); if($sep): $newborder = HexToRGB($sep, 1); ?>
			.main-nav>ul>li ul li a{border-bottom: 1px solid <?php echo get_theme_mod( 'nav_separator' ); ?>;}
		<?php endif; ?>
		
		<?php
		function construct_enqueue_font ( $got_font) {
			if ($got_font) {
			
				
				$font_pieces = explode(":", $got_font);
				
				$font_name = $font_pieces[0];
				$font_type = $font_pieces[1];
				
				if( $font_type == 'non-google' ){
					
				}elseif( $font_type == 'early-google'){
					$font_name_link = str_replace (" ","", $font_pieces[0] );
					$protocol = is_ssl() ? 'https' : 'http';
					wp_enqueue_style( $font_name , $protocol.'://fonts.googleapis.com/earlyaccess/'.$font_name_link.'.css');
				}else{
					$font_name_link = str_replace (" ","+", $font_pieces[0] );
					$font_variants = str_replace ("|",",", $font_pieces[1] );
					$protocol = is_ssl() ? 'https' : 'http';
					wp_enqueue_style( $font_name , $protocol.'://fonts.googleapis.com/css?family='.$font_name_link.':'.$font_variants);
				}
				return $font_name;      
			}
				 
		}
		?>
		<?php if(get_theme_mod('main_typ_font') || get_theme_mod('main_typ_size') || get_theme_mod('main_typ_weight') || get_theme_mod('main_typ_style')):?>
		body, p, li,.blog-posts .blog-post .blog-post-content, .acc-shortcode .panel-body{
			<?php $maintyp=get_theme_mod('main_typ_font'); echo (isset($maintyp) && !empty($maintyp) ) ? 'font-family:'.construct_enqueue_font($maintyp).' !important;' : '' ?>
			<?php $maintypsize=get_theme_mod('main_typ_size'); echo (isset($maintypsize) && !empty($maintypsize) ) ? 'font-size:'.$maintypsize.'px ;' : '' ?>
			<?php $maintypweight=get_theme_mod('main_typ_weight'); echo (isset($maintypweight) && !empty($maintypweight) ) ? 'font-weight:'.$maintypweight.';' : '' ?>
			<?php $maintypstyle=get_theme_mod('main_typ_style'); echo (isset($maintypstyle) && !empty($maintypstyle) ) ? 'font-style:'.$maintypstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('main_typ_col')):?>
		body, p, li,.blog-posts .blog-post .blog-post-content, .acc-shortcode .panel-body{
			<?php $maintypcol=get_theme_mod('main_typ_col'); echo (isset($maintypcol) && !empty($maintypcol) ) ? 'color:'.$maintypcol.';' : '' ?>
		}	
		<?php endif; ?>
		<?php if(get_theme_mod('log_typ_font') || get_theme_mod('log_typ_col') || get_theme_mod('log_typ_size') || get_theme_mod('log_typ_weight') || get_theme_mod('log_typ_style') ):?>
		a.logo-holder{
			<?php $logtyp=get_theme_mod('log_typ_font'); echo (isset($logtyp) && !empty($logtyp) ) ? 'font-family:'.construct_enqueue_font($logtyp).' !important;' : '' ?>
			<?php $logtypcol=get_theme_mod('log_typ_col'); echo (isset($logtypcol) && !empty($logtypcol) ) ? 'color:'.$logtypcol.';' : '' ?>
			<?php $logtypsize=get_theme_mod('log_typ_size'); echo (isset($logtypsize) && !empty($logtypsize) ) ? 'font-size:'.$logtypsize.'px;' : '' ?>
			<?php $logtypweight=get_theme_mod('log_typ_weight'); echo (isset($logtypweight) && !empty($logtypweight) ) ? 'font-weight:'.$logtypweight.';' : '' ?>
			<?php $logtypstyle=get_theme_mod('log_typ_style'); echo (isset($logtypstyle) && !empty($logtypstyle) ) ? 'font-style:'.$logtypstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('nav_typ_font') || get_theme_mod('nav_typ_size') || get_theme_mod('nav_typ_weight') || get_theme_mod('nav_typ_style')):?>
		.main-nav ul>li a{
			<?php $navtyp=get_theme_mod('nav_typ_font'); echo (isset($navtyp) && !empty($navtyp) ) ? 'font-family:'.construct_enqueue_font($navtyp).' !important;' : '' ?>
			<?php $navtypsize=get_theme_mod('nav_typ_size'); echo (isset($navtypsize) && !empty($navtypsize) ) ? 'font-size:'.$navtypsize.'px;' : '' ?>
			<?php $navtypweight=get_theme_mod('nav_typ_weight'); echo (isset($navtypweight) && !empty($navtypweight) ) ? 'font-weight:'.$navtypweight.';' : '' ?>
			<?php $navtypstyle=get_theme_mod('nav_typ_style'); echo (isset($navtypstyle) && !empty($navtypstyle) ) ? 'font-style:'.$navtypstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('h1_typ_font') || get_theme_mod('h1_typ_col') || get_theme_mod('h1_typ_size') || get_theme_mod('h1_typ_weight') || get_theme_mod('h1_typ_style') ):?>
		h1{
			<?php $h1typ=get_theme_mod('h1_typ_font'); echo (isset($h1typ) && !empty($h1typ) ) ? 'font-family:'.construct_enqueue_font($h1typ).' !important;' : '' ?>
			<?php $h1typcol=get_theme_mod('h1_typ_col'); echo (isset($h1typcol) && !empty($h1typcol) ) ? 'color:'.$h1typcol.';' : '' ?>
			<?php $h1typsize=get_theme_mod('h1_typ_size'); echo (isset($h1typsize) && !empty($h1typsize) ) ? 'font-size:'.$h1typsize.'px ;' : '' ?>
			<?php $h1typweight=get_theme_mod('h1_typ_weight'); echo (isset($h1typweight) && !empty($h1typweight) ) ? 'font-weight:'.$h1typweight.';' : '' ?>
			<?php $h1typstyle=get_theme_mod('h1_typ_style'); echo (isset($h1typstyle) && !empty($h1typstyle) ) ? 'font-style:'.$h1typstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('h2_typ_font') || get_theme_mod('h2_typ_col') || get_theme_mod('h2_typ_size') || get_theme_mod('h2_typ_weight') || get_theme_mod('h2_typ_style') ):?>
		h2{
			<?php $h2typ=get_theme_mod('h2_typ_font'); echo (isset($h2typ) && !empty($h2typ) ) ? 'font-family:'.construct_enqueue_font($h2typ).' !important;' : '' ?>
			<?php $h2typcol=get_theme_mod('h2_typ_col'); echo (isset($h2typcol) && !empty($h2typcol) ) ? 'color:'.$h2typcol.';' : '' ?>
			<?php $h2typsize=get_theme_mod('h2_typ_size'); echo (isset($h2typsize) && !empty($h2typsize) ) ? 'font-size:'.$h2typsize.'px ;' : '' ?>
			<?php $h2typweight=get_theme_mod('h2_typ_weight'); echo (isset($h2typweight) && !empty($h2typweight) ) ? 'font-weight:'.$h2typweight.';' : '' ?>
			<?php $h2typstyle=get_theme_mod('h2_typ_style'); echo (isset($h2typstyle) && !empty($h2typstyle) ) ? 'font-style:'.$h2typstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('h3_typ_font') || get_theme_mod('h3_typ_col') || get_theme_mod('h3_typ_size') || get_theme_mod('h3_typ_weight') || get_theme_mod('h3_typ_style') ):?>
		h3{
			<?php $h3typ=get_theme_mod('h3_typ_font'); echo (isset($h3typ) && !empty($h3typ) ) ? 'font-family:'.construct_enqueue_font($h3typ).' !important;' : '' ?>
			<?php $h3typcol=get_theme_mod('h3_typ_col'); echo (isset($h3typcol) && !empty($h3typcol) ) ? 'color:'.$h3typcol.';' : '' ?>
			<?php $h3typsize=get_theme_mod('h3_typ_size'); echo (isset($h3typsize) && !empty($h3typsize) ) ? 'font-size:'.$h3typsize.'px ;' : '' ?>
			<?php $h3typweight=get_theme_mod('h3_typ_weight'); echo (isset($h3typweight) && !empty($h3typweight) ) ? 'font-weight:'.$h3typweight.';' : '' ?>
			<?php $h3typstyle=get_theme_mod('h3_typ_style'); echo (isset($h3typstyle) && !empty($h3typstyle) ) ? 'font-style:'.$h3typstyle.';' : '' ?>
		}	
		<?php endif; ?>
		<?php if(get_theme_mod('h4_typ_font') || get_theme_mod('h4_typ_col') || get_theme_mod('h4_typ_size') || get_theme_mod('h4_typ_weight') || get_theme_mod('h4_typ_style') ):?>
		h4{
			<?php $h4typ=get_theme_mod('h4_typ_font'); echo (isset($h4typ) && !empty($h4typ) ) ? 'font-family:'.construct_enqueue_font($h4typ).' !important;' : '' ?>
			<?php $h4typcol=get_theme_mod('h4_typ_col'); echo (isset($h4typcol) && !empty($h4typcol) ) ? 'color:'.$h4typcol.';' : '' ?>
			<?php $h4typsize=get_theme_mod('h4_typ_size'); echo (isset($h4typsize) && !empty($h4typsize) ) ? 'font-size:'.$h4typsize.'px ;' : '' ?>
			<?php $h4typweight=get_theme_mod('h4_typ_weight'); echo (isset($h4typweight) && !empty($h4typweight) ) ? 'font-weight:'.$h4typweight.';' : '' ?>
			<?php $h4typstyle=get_theme_mod('h4_typ_style'); echo (isset($h4typstyle) && !empty($h4typstyle) ) ? 'font-style:'.$h4typstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('h5_typ_font') || get_theme_mod('h5_typ_col') || get_theme_mod('h5_typ_size') || get_theme_mod('h5_typ_weight') || get_theme_mod('h5_typ_style') ):?>
		h5{
			<?php $h5typ=get_theme_mod('h5_typ_font'); echo (isset($h5typ) && !empty($h5typ) ) ? 'font-family:'.construct_enqueue_font($h5typ).' !important;' : '' ?>
			<?php $h5typcol=get_theme_mod('h5_typ_col'); echo (isset($h5typcol) && !empty($h5typcol) ) ? 'color:'.$h5typcol.';' : '' ?>
			<?php $h5typsize=get_theme_mod('h5_typ_size'); echo (isset($h5typsize) && !empty($h5typsize) ) ? 'font-size:'.$h5typsize.'px ;' : '' ?>
			<?php $h5typweight=get_theme_mod('h5_typ_weight'); echo (isset($h5typweight) && !empty($h5typweight) ) ? 'font-weight:'.$h5typweight.';' : '' ?>
			<?php $h5typstyle=get_theme_mod('h5_typ_style'); echo (isset($h5typstyle) && !empty($h5typstyle) ) ? 'font-style:'.$h5typstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('h6_typ_font') || get_theme_mod('h6_typ_col') || get_theme_mod('h6_typ_size') || get_theme_mod('h6_typ_weight') || get_theme_mod('h6_typ_style') ):?>
		h6{
			<?php $h6typ=get_theme_mod('h6_typ_font'); echo (isset($h6typ) && !empty($h6typ) ) ? 'font-family:'.construct_enqueue_font($h6typ).' !important;' : '' ?>
			<?php $h6typcol=get_theme_mod('h6_typ_col'); echo (isset($h6typcol) && !empty($h6typcol) ) ? 'color:'.$h6typcol.';' : '' ?>
			<?php $h6typsize=get_theme_mod('h6_typ_size'); echo (isset($h6typsize) && !empty($h6typsize) ) ? 'font-size:'.$h6typsize.'px ;' : '' ?>
			<?php $h6typweight=get_theme_mod('h6_typ_weight'); echo (isset($h6typweight) && !empty($h6typweight) ) ? 'font-weight:'.$h6typweight.';' : '' ?>
			<?php $h6typstyle=get_theme_mod('h6_typ_style'); echo (isset($h6typstyle) && !empty($h6typstyle) ) ? 'font-style:'.$h6typstyle.';' : '' ?>
		}
		<?php endif;?>
		
		<?php if(get_theme_mod('ptit_typ_font') || get_theme_mod('ptit_typ_col') || get_theme_mod('ptit_typ_size') || get_theme_mod('ptit_typ_weight') || get_theme_mod('ptit_typ_style') ):?>
		.page-title .title{
			<?php $ptittyp=get_theme_mod('ptit_typ_font'); echo (isset($ptittyp) && !empty($ptittyp) ) ? 'font-family:'.construct_enqueue_font($ptittyp).' !important;' : '' ?>
			<?php $ptittypcol=get_theme_mod('ptit_typ_col'); echo (isset($ptittypcol) && !empty($ptittypcol) ) ? 'color:'.$ptittypcol.';' : '' ?>
			<?php $ptittypsize=get_theme_mod('ptit_typ_size'); echo (isset($ptittypsize) && !empty($ptittypsize) ) ? 'font-size:'.$ptittypsize.'px ;' : '' ?>
			<?php $ptittypweight=get_theme_mod('ptit_typ_weight'); echo (isset($ptittypweight) && !empty($ptittypweight) ) ? 'font-weight:'.$ptittypweight.';' : '' ?>
			<?php $ptittypstyle=get_theme_mod('ptit_typ_style'); echo (isset($ptittypstyle) && !empty($ptittypstyle) ) ? 'font-style:'.$ptittypstyle.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('bred_typ_font') || get_theme_mod('bred_typ_col') || get_theme_mod('bred_typ_size') || get_theme_mod('bred_typ_weight') || get_theme_mod('bred_typ_style') ):?>
		.breadcrumb li,  .breadcrumb li a{
			<?php $bredtyp=get_theme_mod('bred_typ_font'); echo (isset($bredtyp) && !empty($bredtyp) ) ? 'font-family:'.construct_enqueue_font($bredtyp).' !important;' : '' ?>
			<?php $bredtypcol=get_theme_mod('bred_typ_col'); echo (isset($bredtypcol) && !empty($bredtypcol) ) ? 'color:'.$bredtypcol.';' : '' ?>
			<?php $bredtypsize=get_theme_mod('bred_typ_size'); echo (isset($bredtypsize) && !empty($bredtypsize) ) ? 'font-size:'.$bredtypsize.'px ;' : '' ?>
			<?php $bredtypweight=get_theme_mod('bred_typ_weight'); echo (isset($bredtypweight) && !empty($bredtypweight) ) ? 'font-weight:'.$bredtypweight.';' : '' ?>
			<?php $bredtypstyle=get_theme_mod('bred_typ_style'); echo (isset($bredtypstyle) && !empty($bredtypstyle) ) ? 'font-style:'.$bredtypstyle.';' : '' ?>
		}
		
		<?php endif;?>
		<?php if(get_theme_mod('wtit_typ_font') || get_theme_mod('wtit_typ_col') || get_theme_mod('wtit_typ_size') || get_theme_mod('wtit_typ_weight') || get_theme_mod('wtit_typ_style') || get_theme_mod('wtit_typ_col_bor')):?>
		.sidebar-widget h3.widget-title{
			<?php $wtittyp=get_theme_mod('wtit_typ_font'); echo (isset($wtittyp) && !empty($wtittyp) ) ? 'font-family:'.construct_enqueue_font($wtittyp).' !important;' : '' ?>
			<?php $wtittypcol=get_theme_mod('wtit_typ_col'); echo (isset($wtittypcol) && !empty($wtittypcol) ) ? 'color:'.$wtittypcol.';' : '' ?>
			<?php $wtittypsize=get_theme_mod('wtit_typ_size'); echo (isset($wtittypsize) && !empty($wtittypsize) ) ? 'font-size:'.$wtittypsize.'px ;' : '' ?>
			<?php $wtittypweight=get_theme_mod('wtit_typ_weight'); echo (isset($wtittypweight) && !empty($wtittypweight) ) ? 'font-weight:'.$wtittypweight.';' : '' ?>
			<?php $wtittypstyle=get_theme_mod('wtit_typ_style'); echo (isset($wtittypstyle) && !empty($wtittypstyle) ) ? 'font-style:'.$wtittypstyle.';' : '' ?>
			<?php $wtittypcolborder=get_theme_mod('wtit_typ_col_bor'); echo (isset($wtittypcolborder) && !empty($wtittypcolborder) ) ? 'border-left-color:'.$wtittypcolborder.';' : '' ?>
		}
		<?php endif; ?>
		<?php if(get_theme_mod('ftit_typ_font') || get_theme_mod('ftit_typ_col') || get_theme_mod('ftit_typ_size') || get_theme_mod('ftit_typ_weight') || get_theme_mod('ftit_typ_style') || get_theme_mod('ftit_typ_col_bor') ):?>
		.footer-widget h4.small-heading{
			<?php $ftittyp=get_theme_mod('ftit_typ_font'); echo (isset($ftittyp) && !empty($ftittyp) ) ? 'font-family:'.construct_enqueue_font($ftittyp).' !important;' : '' ?>
			<?php $ftittypcol=get_theme_mod('ftit_typ_col'); echo (isset($ftittypcol) && !empty($ftittypcol) ) ? 'color:'.$ftittypcol.';' : '' ?>
			<?php $ftittypsize=get_theme_mod('ftit_typ_size'); echo (isset($ftittypsize) && !empty($ftittypsize) ) ? 'font-size:'.$ftittypsize.'px ;' : '' ?>
			<?php $ftittypweight=get_theme_mod('ftit_typ_weight'); echo (isset($ftittypweight) && !empty($ftittypweight) ) ? 'font-weight:'.$ftittypweight.';' : '' ?>
			<?php $ftittypstyle=get_theme_mod('ftit_typ_style'); echo (isset($ftittypstyle) && !empty($ftittypstyle) ) ? 'font-style:'.$ftittypstyle.';' : '' ?>
			<?php $ftittypcolborder=get_theme_mod('ftit_typ_col_bor'); echo (isset($ftittypcolborder) && !empty($ftittypcolborder) ) ? 'border-left-color:'.$ftittypcolborder.';' : '' ?>
		}
		<?php endif; ?>
<?php echo '</style>'; ?>