( function( $ ) {
	
/******************global color****************************/
	wp.customize( 'global_color', function( value ) {
		value.bind( function(e, newval ) {
			//default bg
			$('.navigation-button, .button.solid.yellow, .nav-tabs>li.active>a:before, .tweet .twitter-item i.fa-twitter, #wp-calendar caption,\
			.button.border.yellow:before,.tblock.bordered-bottom:after, .price-shortcode.pricing .pricingInner .list-group .list-group-item:first-child,\
			.price-shortcode.pricing .pricingInner .list-group .list-group-item:last-child a,\
                        .call-to-action,table thead th').css('background-color', newval );
			//hover bg
			$(".price-shortcode.pricing .pricingInner .list-group .list-group-item,\
			.price-shortcode.pricing .pricingInner .list-group .list-group-item:last-child").hover(function(e) { 
							$(this).css("background-color", e.type === "mouseenter" ? newval : value);
						});

			
			
			//default color
			$(' .nav-tabs>li.active>a, .nav-tabs>li.active>a:focus,  .fa-li,.x-large-heading.yellow small').css('color', newval);
			//hover color
			$("ul.side-social li a, .nav-tabs>li.active>a, .price-shortcode.pricing .pricingInner .list-group .list-group-item:first-child h3,\
                        .price-shortcode.pricing .pricingInner .list-group .list-group-item:first-child h5,\
			.price-shortcode.pricing .pricingInner .list-group .list-group-item:last-child a").hover(function(e) { 
							$(this).css("color", e.type === "mouseenter" ? newval : value);
						});
		
			//default border
			$('.tblock.bracket span:before, .tblock.bracket span:after,table thead th').css('border-color', newval );
			
			//border left
			$('.sidebar-widget h3,  .small-heading, .portfolio .item .info .title,.blog-posts .blog-post.quote .blog-post-quote,\
			.blog-posts .blog-post .blog-post-title h3, .tblock.bordered-left, .service h4, .service h5,\
                        .large-call-to-action h1').css('border-left-color', newval );
                    
                        //hover border left color
			$("ul.wp-tag-cloud li a").hover(function(e) { 
							$(this).css("border-left-color", e.type === "mouseenter" ? newval : value);
						});
			
		} );
	} );
/******************secondary color****************************/
	wp.customize( 'global_color_sec', function( value ) {
		value.bind( function(e, newval ) {
			//default bg
			$('.main-nav ul>li.active a:before,.portfolio .item a.port-icon, .pagination>.active>a:before, .blog-posts .blog-post .post-format-icon,\
			.button.solid.red, .vertical-tabs .nav-tabs>li.active>a, .vertical-tabs .nav-tabs>li.active>a:focus, \
			.vertical-tabs .nav-tabs>li>a span, .button.border.red:before,\n\
                        .owl-theme .owl-dots .owl-dot.active span, .portfolio .overlay').css('background-color', newval );
			//hover bg
			$(".vertical-tabs .nav-tabs>li.active>a, .owl-theme .owl-dots .owl-dot span, .content-slider .owl-controls div.owl-next, .content-slider .owl-controls div.owl-prev,\
                        .vertical-tabs .nav-tabs>li>a").hover(function(e) { 
							$(this).css("background-color", e.type === "mouseenter" ? newval : value);
						});

			//default color
			$('a,  .main-nav ul>li.active a, .breadcrumb>.active, .portfolio-filters ul li a.active').css('color', newval);
			//hover color
			$("a, ul.alter2 li a h5,  .blog-widget .blog-post a h6").hover(function(e) { 
							$(this).css("color", e.type === "mouseenter" ? newval : value);
						});
		
			//hover border  color
			$("ul.alter2 li a h5").hover(function(e) { 
							$(this).css("border-left-color", e.type === "mouseenter" ? newval : value);
						});
			
			//border left
			$('.portfolio-filters ul li a.active, blockquote, .leave-reply input[type="submit"]').css('border-left-color', newval );
                    
                        //hover border left color
			$(".widget_categories ul li a, .wpcf7-form-control.wpcf7-submit").hover(function(e) { 
							$(this).css("border-left-color", e.type === "mouseenter" ? newval : value);
						});
                                                
                        //border bottom
			$('.vertical-tabs .nav-tabs>li.active>a, .vertical-tabs .nav-tabs>li.active>a:focus').css('border-left-color', newval );
                    
                        //hover border bottom color
			$(".vertical-tabs .nav-tabs>li>a, .vertical-tabs .nav-tabs>li.active>a").hover(function(e) { 
							$(this).css("border-left-color", e.type === "mouseenter" ? newval : value);
						});
			
		} );
	} );
/****************Custom background**************************/
wp.customize( 'bg_image', function( value ) {
		value.bind( function( newval ) {
			$('body .section>.inner').css('background-image', 'url('+newval+')');
		} );
	} );
wp.customize( 'bg_color', function( value ) {
		value.bind( function( newval ) {
			$('body .section>.inner').css('background-color', newval );
		} );
	} );
wp.customize( 'bg_repeat', function( value ) {
		value.bind( function( newval ) {
			$('body .section>.inner').css('background-repeat', newval );
		} );
	} );
wp.customize( 'bg_att', function( value ) {
		value.bind( function( newval ) {
			$('body .section>.inner').css('background-attachment', newval );
		} );
	} );
wp.customize( 'bg_hor', function( value ) {
		value.bind( function( newval ) {
			$('body .section>.inner').css('background-position-x', newval );
		} );
	} );
wp.customize( 'bg_ver', function( value ) {
		value.bind( function( newval ) {
			$('body .section>.inner').css('background-position-y', newval );
		} );
	} );
wp.customize( 'bg_size', function( value ) {
		value.bind( function( newval ) {
			if(newval){
			$('body .section>.inner').css('background-size', 'cover' );
		}
		} );
	} );
/************** Top navigation section ******************/
wp.customize( 'topnav_bg_image', function( value ) {
	value.bind( function( newval ) {
		$('.header .top').css('background-image', 'url('+newval+')');
	} );
} );
wp.customize( 'topnav_bg_color', function( value ) {
	value.bind( function( newval ) {
		$('.header .top').css('background-color', newval );
	} );
} );
wp.customize( 'topnav_bg_repeat', function( value ) {
	value.bind( function( newval ) {
		$('.header .top').css('background-repeat', newval );
	} );
} );	

wp.customize( 'topnav_link_color', function( value ) {
	value.bind( function( newval ) {
		$('.header .top .topbar-sidebar a').css('color', newval);
	} );
} );

wp.customize( 'topnav_link_color_hov', function( value ) {
	value.bind( function( newval ) {
		$(".header .top .topbar-sidebar a").hover(function(e) { 
			$(this).css("color", e.type === "mouseenter" ? newval : value);
		});
	} );
} );
wp.customize( 'topnav_text', function( value ) {
	value.bind( function( newval ) {
		$('.header .top .topbar-sidebar, .header .top .topbar-sidebar p, .header .top .topbar-sidebar li').css('color', newval);
	});
});
		
/****************Header section**************************/
wp.customize( 'header_bg_image', function( value ) {
		value.bind( function( newval ) {
			$('.header .navigation').css('background', 'url('+newval+')');
		} );
	} );
wp.customize( 'header_bg_color', function( value ) {
		value.bind( function( newval ) {
			$('.header .navigation').css('background-color', newval );
		} );
	} );
wp.customize( 'header_bg_repeat', function( value ) {
		value.bind( function( newval ) {
			$('.header .navigation').css('background-repeat', newval );
		} );
	} );
wp.customize( 'header_bg_att', function( value ) {
		value.bind( function( newval ) {
			$('.header .navigation').css('background-attachment', newval );
		} );
	} );
wp.customize( 'header_bg_hor', function( value ) {
		value.bind( function( newval ) {
			$('.header .navigation').css('background-position-x', newval );
		} );
	} );
wp.customize( 'header_bg_ver', function( value ) {
		value.bind( function( newval ) {
			$('.header .navigation').css('background-position-y', newval );
		} );
	} );
/*****************************Content styling*******************/
wp.customize( 'title_content_bg_image', function( value ) {
		value.bind( function( newval ) {
			$('.page-title').css('cssText', 'background:url('+newval+') !important');

		} );
	} );
wp.customize( 'title_content_bg_color', function( value ) {
		value.bind( function( newval ) {
			$('.page-title').css('background-color', newval );

		} );
	} );
wp.customize( 'title_content_bg_repeat', function( value ) {
		value.bind( function( newval ) {
			$('.page-title').css('background-repeat', newval );
		} );
	} );
wp.customize( 'title_content_bg_att', function( value ) {
		value.bind( function( newval ) {
			$('.page-title').css('background-attachment', newval );
		} );
	} );
wp.customize( 'title_content_bg_hor', function( value ) {
		value.bind( function( newval ) {
			$('.page-title').css('background-position-x', newval );
		} );
	} );
wp.customize( 'title_content_bg_ver', function( value ) {
		value.bind( function( newval ) {
			$('.page-title').css('background-position-y', newval );
		} );
	} );
	
/***************************Footer**************/
wp.customize( 'footer_bg_image', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background', 'url('+newval+')');
		} );
	} );
wp.customize( 'footer_bg_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background-color', newval );
		} );
	} );
wp.customize( 'footer_bg_repeat', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background-repeat', newval );
		} );
	} );
wp.customize( 'footer_bg_att', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background-attachment', newval );
		} );
	} );
wp.customize( 'footer_bg_hor', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background-position-x', newval );
		} );
	} );
wp.customize( 'footer_bg_ver', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background-position-y', newval );
		} );
	} );
wp.customize( 'footer_title_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer .footer-widget h4.small-heading').css('color', newval );
		} );
	} );
wp.customize( 'footer_links_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer a, .footer .footer-widget  a').css('color', newval );
		} );
	} );
wp.customize( 'footer_links_color_hov', function( value ) {
		value.bind( function( newval ) {
			$(".footer a, .footer .footer-widget  a").hover(function(e) { 
				$(this).css("color", e.type === "mouseenter" ? newval : value);
			});
		} );
	} );
	
	
wp.customize( 'footerbottom_bg_image', function( value ) {
		value.bind( function( newval ) {
			$('.footer .copyright').css('background', 'url('+newval+')');
		} );
	} );
wp.customize( 'footerbottom_bg_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer .copyright').css('background-color', newval );
		} );
	} );
wp.customize( 'footerbottom_bg_repeat', function( value ) {
		value.bind( function( newval ) {
			$('.footer .copyright').css('background-repeat', newval );
		} );
	} );
wp.customize( 'footerbottom_bg_att', function( value ) {
		value.bind( function( newval ) {
			$('.footer .copyright').css('background-attachment', newval );
		} );
	} );
wp.customize( 'footerbottom_bg_hor', function( value ) {
		value.bind( function( newval ) {
			$('.footer .copyright').css('background-position-x', newval );
		} );
	} );
wp.customize( 'footerbottom_bg_ver', function( value ) {
		value.bind( function( newval ) {
			$('.footer .copyright').css('background-position-y', newval );
		} );
	} );

wp.customize( 'footerbottom_text_color', function( value ) {
	value.bind( function( newval ) {
		$('.footer .copyright, .footer .copyright p').css('color', newval );
	} );
} );	
wp.customize( 'footerbottom_links_color', function( value ) {
	value.bind( function( newval ) {
		$('.footer .copyright a').css('color', newval );
	} );
} );	
	
wp.customize( 'footerbottom_links_color_hov', function( value ) {
	value.bind( function( newval ) {
		$(".footer .copyright a").hover(function(e) { 
			$(this).css("color", e.type === "mouseenter" ? newval : value);
		});
	} );
} );	

/*********************************Links**********************/
wp.customize( 'link_color', function( value ) {
		value.bind( function( newval ) {
			$('a').css('color', newval );
		} );
	} );
wp.customize( 'link_decor', function( value ) {
		value.bind( function( newval ) {
			$('a').css('text-decoration', newval);
		} );
	} );
wp.customize( 'link_color_hov', function( value ) {
		value.bind( function( newval ) {
			$('a').hover(function(){
				$(this).css("color",newval);

			});
		} );
	} );
wp.customize( 'link_decor_hov', function( value ) {
		value.bind( function( newval ) {
			$('a').hover(function(){
				$(this).css("text-decoration",newval);

			});
		} );
	} );
/********************Main Navigation*******************/
wp.customize( 'nav_bg_image', function( value ) {
		value.bind( function( newval ) {
			$('nav.main-nav').css('background', 'url('+newval+')');
		} );
	} );
wp.customize( 'nav_bg_color', function( value ) {
		value.bind( function( newval ) {
			$('nav.main-nav').css('background-color', newval );
		} );
	} );
wp.customize( 'nav_bg_repeat', function( value ) {
		value.bind( function( newval ) {
			$('nav.main-nav').css('background-repeat', newval );
		} );
	} );
wp.customize( 'nav_bg_att', function( value ) {
		value.bind( function( newval ) {
			$('nav.main-nav').css('background-attachment', newval );
		} );
	} );
wp.customize( 'nav_bg_hor', function( value ) {
		value.bind( function( newval ) {
			$('nav.main-nav').css('background-position-x', newval );
		} );
	} );
wp.customize( 'nav_bg_ver', function( value ) {
		value.bind( function( newval ) {
			$('nav.main-nav').css('background-position-y', newval );
		} );
	} );

wp.customize( 'nav_links_color', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li>a').css('color', newval );
		} );
	} );

wp.customize( 'nav_links_color_hover', function( value ) {
		value.bind( function(e, newval ) {
			$('.main-nav ul>li>a').hover(function(e){
				$(this).css("color", e.type === "mouseenter" ? newval : value);
			});
		} );
	} );

wp.customize( 'nav_current_links_color', function( value ) {
	value.bind( function(e, newval ) {
		$('.main-nav ul>li.active>a').css('color', newval);
		$('.sm-default a').hover(function(e){
			$(this).css("color", e.type === "mouseenter" ? newval : value);
		});
	} );
} );

wp.customize( 'sub_nav_color', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li ul li a').css('color', newval);
		} );
} );
wp.customize( 'sub_nav_hover_color', function( value ) {
	value.bind( function(e, newval ) {
		$('.main-nav ul>li ul li a').hover(function(e){
			$(this).css("color", e.type === "mouseenter" ? newval : value);
		});
	} );
} );	
wp.customize( 'sub_nav_background', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li ul ').css('background-color', newval );
		} );
} );
wp.customize( 'sub_nav_hover_background', function( value ) {
	value.bind( function(e, newval ) {
		$('.main-nav ul>li ul li a').hover(function(e){
			$(this).css("background-color", e.type === "mouseenter" ? newval : value);
		});
	} );
} );
wp.customize( 'nav_separator', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li ul li a').css('border-bottom-color', newval)
		} );
	} );
	
/**************************TYPOGRAPHY***************************************/
//get font name 
function get_font(font){
	var fullFont=font;
	var mainFont=fullFont.split(':');
	var font_name=mainFont[0];
	var font_type=mainFont[1];
	var font_name_link='';
	if( font_type == 'non-google' ){
	}
	else if( font_type == 'early-google'){
		 font_name_link = mainFont[0].replace(" ","");
		$('head').append('<link href="http://fonts.googleapis.com/earlyaccess/'+font_name_link+'.css" rel="stylesheet" type="text/css">');
	}else{
		font_name_link =  mainFont[0].replace(" ","+");
		var font_variants = mainFont[1].replace("|",",");
		$('head').append('<link href="http://fonts.googleapis.com/css?family='+font_name_link+':'+font_variants+'" rel="stylesheet" type="text/css">');
	}
	return font_name;
}
/*main typography*/

wp.customize( 'main_typ_font', function( value ) {
	value.bind( function( newval ) {
		var font=get_font(newval);
		$('body, p, li, .page-content, .contentSection, #blogPosts.contentSection .blog .excerpt p, .acc-shortcode .panel-body').css('font-family', font);
	} );
} );
wp.customize( 'main_typ_col', function( value ) {
	value.bind( function( newval ) {
		$('body, p, li, .page-content, .contentSection, #blogPosts.contentSection .blog .excerpt p, .acc-shortcode .panel-body').css('color', newval );
	} );
} );
wp.customize( 'main_typ_size', function( value ) {
	value.bind( function( newval ) {
		$('body, p, li, .hb-inner p, #m-blog-content p, .hw-expand p,  .resp-tabs-container, .acc-shortcode .panel-body').css('font-size', newval+'px' );
	} );
} );
wp.customize( 'main_typ_weight', function( value ) {
	value.bind( function( newval ) {
		$('body, p, li, .page-content, .contentSection, #blogPosts.contentSection .blog .excerpt p, .acc-shortcode .panel-body').css('font-weight', newval );
	} );
} );
wp.customize( 'main_typ_style', function( value ) {
	value.bind( function( newval ) {
		$('body, p, li, .page-content, .contentSection, #blogPosts.contentSection .blog .excerpt p, .acc-shortcode .panel-body').css('font-style', newval );
	} );
} );
/*textual logo*/
wp.customize( 'log_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('a.logo-holder').css('font-family', font);
		} );
	} );
wp.customize( 'log_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('a.logo-holder').css('color', newval );
		} );
	} );
wp.customize( 'log_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('a.logo-holder').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'log_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('a.logo-holder').css('font-weight', newval );
		} );
	} );
wp.customize( 'log_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('a.logo-holder').css('font-style', newval );
		} );
	} );
/*main Navigation*/
wp.customize( 'nav_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('.main-nav ul>li a').css('font-family', font);
		} );
	} );

wp.customize( 'nav_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li a').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'nav_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li a').css('font-weight', newval );
		} );
	} );
wp.customize( 'nav_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('.main-nav ul>li a').css('font-style', newval );
		} );
	} );
/*h1 styling*/
wp.customize( 'h1_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('h1, h1 a').css('font-family', font);
		} );
	} );
wp.customize( 'h1_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('color', newval );
		} );
	} );
wp.customize( 'h1_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'h1_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('font-weight', newval );
		} );
	} );
wp.customize( 'h1_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('font-style', newval );
		} );
	} );
/*h2 styling*/
wp.customize( 'h2_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('h2').css('font-family', font);
		} );
	} );
wp.customize( 'h2_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('color', newval );
		} );
	} );
wp.customize( 'h2_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'h2_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('font-weight', newval );
		} );
	} );
wp.customize( 'h2_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('font-style', newval );
		} );
	} );
/*h3 styling*/
wp.customize( 'h3_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('h3').css('font-family', font);
		} );
	} );
wp.customize( 'h3_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('color', newval );
		} );
	} );
wp.customize( 'h3_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'h3_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('font-weight', newval );
		} );
	} );
wp.customize( 'h3_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('font-style', newval );
		} );
	} );
/*h4 styling*/
wp.customize( 'h4_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('h4').css('font-family', font);
		} );
	} );
wp.customize( 'h4_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('color', newval );
		} );
	} );
wp.customize( 'h4_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'h4_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('font-weight', newval );
		} );
	} );
wp.customize( 'h4_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('font-style', newval );
		} );
	} );
/*h5 styling*/
wp.customize( 'h5_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('h5').css('font-family', font);
		} );
	} );
wp.customize( 'h5_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('color', newval );
		} );
	} );
wp.customize( 'h5_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'h5_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('font-weight', newval );
		} );
	} );
wp.customize( 'h5_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('font-style', newval );
		} );
	} );
/*h6 styling*/
wp.customize( 'h6_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('h6').css('font-family', font);
		} );
	} );
wp.customize( 'h6_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('color', newval );
		} );
	} );
wp.customize( 'h6_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'h6_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('font-weight', newval );
		} );
	} );
wp.customize( 'h6_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('font-style', newval );
		} );
	} );

/*Page title styling*/
wp.customize( 'ptit_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('.page-title .title').css('font-family', font);
		} );
	} );

wp.customize( 'ptit_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('.page-title .title').css('color', newval );
		} );
	} );
wp.customize( 'ptit_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('.page-title .title').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'ptit_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('.page-title .title').css('font-weight', newval );
		} );
	} );
wp.customize( 'ptit_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('.page-title .title').css('font-style', newval );
		} );
	} );
/*breadcrumb styling*/
wp.customize( 'bred_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('.breadcrumb li,  .breadcrumb li a').css('font-family', font);
		} );
	} );
wp.customize( 'bred_typ_col', function( value ) {
	value.bind( function( newval ) {
		$('.breadcrumb li,  .breadcrumb li a').css('color', newval );
	} );
} );
wp.customize( 'bred_typ_size', function( value ) {
	value.bind( function( newval ) {
		$('.breadcrumb li,  .breadcrumb li a i').css('font-size', newval+'px' );
	} );
} );
wp.customize( 'bred_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('.breadcrumb li,  .breadcrumb li a').css('font-weight', newval );
		} );
	} );
wp.customize( 'bred_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('.breadcrumb li,  .breadcrumb li a').css('font-style', newval );
		} );
	} );
/*Widget title styling*/
wp.customize( 'wtit_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('.sidebar-widget h3.widget-title').css('font-family', font);
		} );
	} );

wp.customize( 'wtit_typ_col', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar-widget h3.widget-title').css('color', newval );
		} );
	} );
wp.customize( 'wtit_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar-widget h3.widget-title').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'wtit_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar-widget h3.widget-title').css('font-weight', newval );
		} );
	} );
wp.customize( 'wtit_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar-widget h3.widget-title').css('font-style', newval );
		} );
	} );
wp.customize( 'wtit_typ_col_bor', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar-widget h3.widget-title').css('border-left-color', newval );
		} );
	} );
/*Footer Widget title styling*/
wp.customize( 'ftit_typ_font', function( value ) {
		value.bind( function( newval ) {
			var font=get_font(newval);
			$('.footer-widget h4.small-heading').css('font-family', font);
		} );
	} );

wp.customize( 'ftit_typ_col', function( value ) {
		value.bind( function( newval ) {			
			$('.footer-widget h4.small-heading').css('color', newval );
		} );
	} );
wp.customize( 'ftit_typ_size', function( value ) {
		value.bind( function( newval ) {
			$('.footer-widget h4.small-heading').css('font-size', newval+'px' );
		} );
	} );
wp.customize( 'ftit_typ_weight', function( value ) {
		value.bind( function( newval ) {
			$('.footer-widget h4.small-heading').css('font-weight', newval );
		} );
	} );
wp.customize( 'ftit_typ_style', function( value ) {
		value.bind( function( newval ) {
			$('.footer-widget h4.small-heading').css('font-style', newval );
		} );
	} );
wp.customize( 'ftit_typ_col_bor', function( value ) {
		value.bind( function( newval ) {			
			$('.footer-widget h4.small-heading').css('border-left-color', newval );
		} );
	} );	
	
} )( jQuery );


