<?php /*** The loop that displays posts.***/ 

$get_meta = get_post_custom($post->ID);
$showauthor =weblusive_get_option('blog_show_author') ; 
$showrmtext = weblusive_get_option('blog_show_rmtext'); 
$day = get_the_time('d'); $month = get_the_time('M'); $year = get_the_time('Y');


?>

<?php if ( ! have_posts() ) : ?>
	<div id="post-0" class="post error404 not-found col-md-12">
		<h1 class="entry-title"><?php _e( 'Not Found', 'construct' ); ?></h1>
		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'construct' ); ?></p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</div><!-- #post-0 -->
<?php else: ?>

<?php  while ( have_posts() ) : the_post(); ?>
	<?php $get_meta = get_post_custom($post->ID);		
	$mediatype = isset($get_meta["_blog_mediatype"]) ? $get_meta["_blog_mediatype"][0] : 'image';
	$videoId = isset($get_meta["_blog_video"]) ? $get_meta["_blog_video"][0] : ''; 
	$autoplay =  isset($get_meta["_blog_videoap"]) ? $get_meta["_blog_videoap"][0] : '0';
	$thumbnail = '';
	$thumbsize="blog-list-1";
	
	if ( has_post_thumbnail()) {
		$thumbnail  = get_the_post_thumbnail($post->ID, $thumbsize, array("class"=>"img-responsive blog-post-img"));
		if (empty($thumbnail)) $thumbnail = '<img src="'.get_template_directory_uri().'/images/no-image.png" alt="" class="fullwidth-image" />';
	}
	else {
		$thumbnail = '<img src="'.get_template_directory_uri().'/images/no-image.png" alt="" />';
	}
	
	?>
<!-- ************* POST FORMAT IMAGE ************** -->
<?php if ( ( function_exists( 'get_post_format' ) && 'image' == get_post_format( $post->ID ) )  ) : ?> 
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post post-format-image'); ?>>
		<span class="post-format-icon"><i class="fa fa-file-image-o"></i></span>
		<?php if($thumbnail) :?>
		<a href="<?php the_permalink()?>">
			<?php echo html_entity_decode( $thumbnail ); ?>
		</a>
		<?php endif;?>
		<div class="blog-post-title clearfix">
			<a href="<?php the_permalink()?>"><h3><?php the_title()?></h3></a>
			<?php if(!$showauthor):
			$photo = get_avatar( get_the_author_meta('email') , 38 );
			echo html_entity_decode( $photo );
			endif;?>
		</div>
		<div class="blog-post-content">
			<p>
				<?php echo do_shortcode(get_the_excerpt()); ?>
				<?php if(!$showrmtext) :?>
					<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
				<?php endif;?>
			</p>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<!-- ************* POST FORMAT LINK ************** -->
<?php elseif( ( function_exists( 'get_post_format' ) && 'link' == get_post_format( $post->ID ) )  ) : ?> 
<?php 
if($thumbnail):
	$imgurl=wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
else :
	$imgurl='';
endif;
?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post link'); ?> style="background-image: url(<?php echo esc_url( $imgurl ); ?>)">
		<div class="inner">
			<span class="post-format-icon"><i class="fa fa-link"></i></span>
			<div class="blog-post-title clearfix">
				<?php $link = isset($get_meta["_blog_link"]) ? $get_meta["_blog_link"][0] : ''; ?>
				<a href="<?php echo esc_url( $link ); ?>"><h3><?php the_title()?></h3></a>
				<?php if(!$showauthor):
				$photo = get_avatar( get_the_author_meta('email') , 38 );
				echo html_entity_decode( $photo );
				endif;?>
			</div>
			<div class="blog-post-content">
				<p>
					<?php echo do_shortcode(get_the_excerpt()); ?>
					<?php if(!$showrmtext) :?>
						<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
					<?php endif;?>
				</p>
				<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
			</div>
		</div>
	</div>
<!-- ************* POST FORMAT AUDIO ************** -->
<?php elseif( ( function_exists( 'get_post_format' ) && 'audio' == get_post_format( $post->ID ) )  ) : ?> 
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post audio'); ?>>
		<span class="post-format-icon"><i class="fa fa-file-audio-o"></i></span>
		<div class="audio-container">
			<?php $audio = isset($get_meta["_blog_audio"]) ? $get_meta["_blog_audio"][0] : ''; ?>
			<?php if ($audio):?>
				<div class="audio-post"><?php echo do_shortcode($audio); ?></div>
			<?php else:?>
				<div class="alert alert-danger fade in">
					<?php _e('Audio post format was chosen but no embed code provided. Please fix this by providing it.', 'construct') ?>
				</div>
			<?php endif?>
		</div>
		<div class="blog-post-title clearfix">
			<a href="<?php the_permalink()?>"><h3><?php the_title()?></h3></a>
			<?php if(!$showauthor):
			$photo = get_avatar( get_the_author_meta('email') , 38 );
			echo html_entity_decode( $photo );
			endif;?>
		</div>
		<div class="blog-post-content">
			<p>
				<?php echo do_shortcode(get_the_excerpt()); ?>
				<?php if(!$showrmtext) :?>
					<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
				<?php endif;?>
			</p>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<!-- ************* POST FORMAT STATUS ************** -->
<?php elseif( ( function_exists( 'get_post_format' ) && 'status' == get_post_format( $post->ID ) )  ) : ?>
<?php 
if($thumbnail):
	$imgurl=wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
else :
	$imgurl='';
endif;
?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post status'); ?> style="background-image: url(<?php echo esc_url( $imgurl ); ?>)">
		<div class="inner">
			<span class="post-format-icon"><i class="fa fa-comment-o"></i></span>
			<div class="blog-post-status">
				<?php if(!$showauthor):?>
				<div class="authot-img">
					<?php
					$photo = get_avatar( get_the_author_meta('email') , 38 );
					echo html_entity_decode( $photo );
					?>
				</div>
				<?php endif;?>
				<?php $status = isset($get_meta["_blog_status"]) ? $get_meta["_blog_status"][0] : ''; ?>
				<?php if ($status):?>
					<?php echo esc_attr( $status ); ?>
				<?php else:?>
					<div class="alert alert-danger fade in">
						<?php _e('Status post format was chosen but no status text provided. Please fix this by providing it.', 'construct') ?>
					</div>
				<?php endif?>
				<?php if(!$showrmtext) :?>
					<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
				<?php endif;?>
			</div>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<!-- ************* POST FORMAT QUOTE ************** -->
<?php elseif( ( function_exists( 'get_post_format' ) && 'quote' == get_post_format( $post->ID ) )  ) : ?> 
<?php 
if($thumbnail):
	$imgurl=wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
else :
	$imgurl='';
endif;
?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post quote'); ?> style="background-image: url(<?php echo esc_url( $imgurl ); ?>)">
		<div class="inner">
			<span class="post-format-icon"><i class="fa fa-quote-left"></i></span>
			<div class="blog-post-quote">
				<span class="quote-icon"><i class="fa fa-quote-left"></i></span>
				<?php $quote = isset($get_meta["_blog_quote"]) ? $get_meta["_blog_quote"][0] : ''; ?>
				<?php if ($quote):?>
				<p>
					<?php echo htmlspecialchars_decode(do_shortcode($quote)); ?>
					<?php if(!$showrmtext) :?>
						<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
					<?php endif;?>
				</p>
				<?php else:?>
					<div class="alert alert-danger fade in">
						<?php _e('Quote post format was chosen but no url or embed code provided. Please fix this by providing it.', 'construct') ?>
					</div>
				<?php endif?>
				<?php if(!$showauthor):
				$photo = get_avatar( get_the_author_meta('email') , 38 );
				echo html_entity_decode( $photo );
				endif;?>
			</div>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<!-- ************* POST FORMAT VIDEO ************** -->
<?php elseif( ( function_exists( 'get_post_format' ) && 'video' == get_post_format( $post->ID ) )  ) : ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post video'); ?>>
		<span class="post-format-icon"><i class="fa fa-file-video-o"></i></span>
		<?php
		global $wp_embed;
			$post_embed = '';
			$video = isset($get_meta["_blog_video"]) ? $get_meta["_blog_video"][0] : ''; 
			$videoself = isset($get_meta["_blog_video_selfhosted"]) ? $get_meta["_blog_video_selfhosted"][0] : ''; 
			?>
		<?php if($video || $videoself) : ?>
			<div class="flex-video">
				<?php
					if ($video):
						$videoSize='width="848" height="424"';
						$post_embed = $wp_embed->run_shortcode('[embed '.$videoSize.']'.$video.'[/embed]'); 
					else:
						$post_embed = $wp_embed->run_shortcode($videoself);
					endif;
					echo html_entity_decode( $post_embed );
				?>
			</div>	
		<?php else:?>
			<div class="alert alert-danger fade in">
				<?php _e('Video post format was chosen but no url or embed code provided. Please fix this by providing it.', 'construct') ?>
			</div>
		<?php endif?>
		<div class="blog-post-title clearfix">
			<a href="<?php the_permalink()?>"><h3><?php the_title()?></h3></a>
			<?php if(!$showauthor):
			$photo = get_avatar( get_the_author_meta('email') , 38 );
			echo html_entity_decode( $photo );
			endif;?>
		</div>
		<div class="blog-post-content">
			<p>
				<?php echo do_shortcode(get_the_excerpt()); ?>
				<?php if(!$showrmtext) :?>
					<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
				<?php endif;?>
			</p>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<!-- ************* POST FORMAT GALLERY ************** -->
<?php elseif( ( function_exists( 'get_post_format' ) && 'gallery' == get_post_format( $post->ID ) )  ) : ?> 
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post gallery'); ?>>
		<span class="post-format-icon"><i class="fa fa-picture-o"></i></span>
		<div class="flexpost flexslider">
			<ul class="slides">
				<?php 
				$argsThumb = array(
					'order'          => 'ASC',
					'post_type'      => 'attachment',
					'post_parent'    => $post->ID,
					'post_mime_type' => 'image',
					'post_status'    => null,
					//'exclude' => get_post_thumbnail_id()
				);
				$attachments = get_posts($argsThumb);
				if ($attachments) {
					foreach ($attachments as $attachment) {
						echo '<li><img src="'.wp_get_attachment_url($attachment->ID, 'full', false, false).'" class="img-responsive blog-post-img" alt="'.get_post_meta($attachment->ID, '_wp_attachment_image_alt', true).'" /></li>';
					}
				}?>
			</ul>
		</div>
		<div class="blog-post-title clearfix">
			<a href="<?php the_permalink()?>"><h3><?php the_title()?></h3></a>
			<?php if(!$showauthor):
			$photo = get_avatar( get_the_author_meta('email') , 38 );
			echo html_entity_decode( $photo );
			endif;?>
		</div>
		<div class="blog-post-content">
			<p>
				<?php echo do_shortcode(get_the_excerpt()); ?>
				<?php if(!$showrmtext) :?>
					<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
				<?php endif;?>
			</p>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<!-- ************* POST FORMAT STANDARD ************** -->
<?php else : ?> 
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
		<span class="post-format-icon"><i class="fa fa-file-o"></i></span>
		<?php if($thumbnail) :?>
		<a href="<?php the_permalink()?>">
			<?php echo html_entity_decode( $thumbnail ); ?>
		</a>
		<?php endif;?>
		<div class="blog-post-title clearfix">
			<a href="<?php the_permalink()?>"><h3><?php the_title()?></h3></a>
			<?php if(!$showauthor):
			$photo = get_avatar( get_the_author_meta('email') , 38 );
			echo html_entity_decode( $photo );
			endif;?>
		</div>
		<div class="blog-post-content">
			<p>
				<?php echo do_shortcode(get_the_excerpt()); ?>
				<?php if(!$showrmtext) :?>
					<a href="<?php the_permalink()?>" class="readMore"><?php echo  __('Read More', 'construct');?></a>
				<?php endif;?>
			</p>
			<?php $meta = construct_meta($post); echo html_entity_decode( $meta ); ?>
		</div>
	</div>
<?php endif?>
	<?php  endwhile;?>
<?php endif; ?>