<?php /* Template Name: Regular page */ 

get_header();

$get_meta = get_post_custom($post->ID);

$weblusive_sidebar_pos = isset( $get_meta['_weblusive_sidebar_pos'][0]) ? $get_meta["_weblusive_sidebar_pos"][0] : 'full';
if ( $weblusive_sidebar_pos=='default') $weblusive_sidebar_pos = 'full';
//get_template_part( 'library/includes/page-head' );
get_template_part( 'inner-header', 'content'); 
?>
<div class="section  no-padding-bottom">
	<div class="inner">
	<div class="container">
		<div class="row">
			<?php if ($weblusive_sidebar_pos == 'left'):?><div class="col-sm-3 sidebar sidebar-left"><?php get_sidebar(); ?></div><?php endif?>
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
			<div class="<?php if ($weblusive_sidebar_pos == 'full'):?>col-sm-12<?php else:?>col-sm-9<?php endif?> page-content">
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'construct' ), 'after' => '</div>' ) ); ?>
			</div>
			<?php endwhile; ?>
			<?php if ($weblusive_sidebar_pos == 'right'):?><div class="col-sm-3 sidebar" ><?php get_sidebar(); ?></div><?php endif?>
		</div>
	</div>
	</div>
</div>
<?php get_footer();?>