<?php /*** Portfolio Single Posts template. */ 

get_header(); 
$pageId = isset ($_SESSION['construct_page_id']) ? $_SESSION['construct_page_id'] : '';
$get_meta = get_post_custom($post->ID);

$portfolio_type = get_post_meta($pageId, "_portfolio_type", $single = false);
$paginationEnabled = (isset($portfolio_type) && !(empty ($portfolio_type))) ? $portfolio_type[0] : 0;
$page_template_name = get_post_meta($pageId,'_wp_page_template',true); 

$overridepos = isset($get_meta['_weblusive_sidebar_pos']) ? $get_meta['_weblusive_sidebar_pos'] : '';
$overridepos = (empty($overridepos)) ? 'default' : $overridepos[0];
$overridesidebar =  isset($get_meta['_weblusive_sidebar_post']) ? $get_meta['_weblusive_sidebar_post'] : '';
$overridesidebar = (empty($overridesidebar)) ? '' : $overridesidebar[0];

$sidebarPos = ($overridepos == 'default') ?  weblusive_get_option('sidebar_pos') : $overridepos;
$sidebar = ($overridesidebar == '') ?  weblusive_get_option('sidebar_portfolio') : $overridesidebar;

get_template_part( 'inner-header', 'content');

?>
<div class="section  no-padding-bottom portfol-single">
	<div class="inner">
		<div class="container">
			<div class="portfolio-wrapper">
				<div class="row"> 
					<?php if (!empty($sidebar) && $sidebarPos=='left') :?><div class="col-sm-3 sidebar sidebar-left"><?php dynamic_sidebar($sidebar)?></div><?php endif; ?>
					<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
						<div class="<?php if (empty($sidebar) || $sidebarPos == 'full'):?>col-sm-12<?php else:?>col-sm-9<?php endif?> ">
							<div class="single-post-container">
								<?php the_content(); ?>
								<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'construct' ), 'after' => '</div>' ) ); ?>
							</div>
						</div>	
					<?php endwhile; ?>	

					<?php if (!empty($sidebar) && $sidebarPos=='right') :?><div class="col-sm-3 sidebar"><?php dynamic_sidebar($sidebar)?></div><?php endif; ?>
				</div>
			</div>
			<hr>
			<div class="post-navigation">
				<?php				
				$prev_post = get_previous_post();
				if (!empty( $prev_post )): ?>
					<a href="<?php echo get_permalink( $prev_post->ID ); ?>" class="button border red prev-project"><?php _e('Prev Project', 'construct');?></a>
				<?php endif; ?>
				<?php $next_post = get_next_post();
				if (!empty( $next_post )): ?>
					<a href="<?php echo get_permalink( $next_post->ID ); ?>" class="button border yellow next-project"><?php _e('Next Project', 'construct');?></a>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>