<?php get_header(); 
	//global $paged;
 	$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) ); 
	
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	if ( get_query_var('paged') ) {
		$paged = get_query_var('paged');
	} elseif ( get_query_var('page') ) {
		$paged = get_query_var('page');
	} else {
		$paged = 1;
	}
	get_template_part( 'inner-header', 'content');
	//$pageId = $_SESSION['construct_page_id'];
	$sidebarPos = weblusive_get_option('sidebar_pos');
	$sidebar = weblusive_get_option('sidebar_portfolio_taxonomy');
	if(empty($sidebar)) $sidebarPos = 'full';
	
	$page_template_name = ''; 
	$columns = weblusive_get_option('portfolio_tax_columns') ? weblusive_get_option('portfolio_tax_columns') : '3'; 
	$layout = weblusive_get_option('portfolio_tax_layout') ? weblusive_get_option('portfolio_tax_layout') : '1'; 
	
	$itemsize = '361x184';	
	$thumbsize = 'portfolio-3-cols';
	// Check which layout was selected
	switch($columns)
	{
		
		case 'default':
			$itemsize = '361x201';	
			$thumbsize = 'big';
			$contcClass='';
		break;
		case '3':
			$itemsize = '361x184';	
			$thumbsize = 'portfolio-3-cols';
			$contcClass='three-column';
		break;
		
		case '4':
			$itemsize = '264x134';	
			$thumbsize = 'portfolio-4-cols';
			$contcClass='four-column';
		break;
	}
?>
<?php //echo do_shortcode($term->description); ?> 
<?php //echo category_description(); ?>
<div  class="section  no-padding-bottom"> 
	<div class="inner">
	<div class="container">
		<div class="row">
			<?php if (!empty($sidebar) && $sidebarPos == 'left'): ?>
				<div class="col-sm-3 sidebar sidebar-left"><?php get_sidebar(); ?></div>
			<?php endif?>
			<div class="<?php if ($sidebarPos == 'full' || empty($sidebar)):?>col-sm-12<?php else:?>col-sm-9<?php endif?> port-main-content">
				<div class="portfolio-wrapper">
				<div id="portfolio-filters" class="portfolio-filters">
					<ul id="filters"  class="list-inline">
						<li><a href="#" class=""><?php _e('All', 'construct')?></a></li> 
						<?php 
							$cats = get_post_meta($post->ID, "_page_portfolio_cat", $single = true);
							$MyWalker = new PortfolioWalker2();
							$args = array( 'taxonomy' => 'portfolio_category', 'hide_empty' => '0', 'include' => $cats, 'title_li'=> '', 'walker' => $MyWalker, 'show_count' => '1');
							$categories = wp_list_categories ($args);
						?>
					</ul>
				</div>
				<div id="portfolio" class="portfolio <?php echo esc_attr( $contcClass ); ?>">
						<?php
						$counter=1;
						if ($wp_query->have_posts()):
							while ($wp_query->have_posts()) : 							
								$wp_query->the_post();
								$custom = get_post_custom($post->ID);
								// Get the portfolio item categories
								$cats = wp_get_object_terms($post->ID, 'portfolio_category');
								if ($cats):
									$cat_slugs = '';
									foreach( $cats as $cat ) {$cat_slugs .= $cat->slug . " ";}
								endif;
								$attachments = ''; 
								$thumbnail = get_the_post_thumbnail($post->ID, $thumbsize); 
								$size = isset($custom["_portfolio_item_size"][0]) ? $custom["_portfolio_item_size"][0] : '';
								?>

								<div class="item  <?php echo esc_attr($size);?> <?php echo esc_attr($cat_slugs); ?>">
										<?php if (!empty($thumbnail)): ?>
											<?php the_post_thumbnail($thumbsize, array('class' => 'img-responsive')); ?>
										<?php else :?>
											<img src="http://placehold.it/<?php echo esc_attr($itemsize)?>" alt="<?php _e ('No preview image', 'construct') ?>" />
										<?php endif?>											
											<div class="portfolio-icons" role="group">
												<?php if (!$attachments) : ?>
													<?php if (!empty($custom['_portfolio_video'][0])) : $link = $custom['_portfolio_video'][0]; ?>
														<a href="<?php echo esc_url($link) ?>" class="port-icon" data-rel="prettyPhoto" data-title="<?php the_title() ?>">
															<i class="fa fa-film"></i>
														</a>
													<?php elseif (isset($custom['_portfolio_link'][0]) && $custom['_portfolio_link'][0] != '') : ?>
														<a href="<?php echo esc_url($custom['_portfolio_link'][0]) ?>" class="port-icon" data-title="<?php the_title() ?>">
															<i class="fa fa-external-link"></i>
														</a>
													<?php elseif (isset($custom['_portfolio_no_lightbox'][0]) && $custom['_portfolio_no_lightbox'][0] != '') : $link = get_permalink(get_the_ID()); ?>
														<a href="<?php echo esc_url($link); ?>" class="port-icon" title="<?php the_title() ?>">
															<i class="fa fa-file-text-o"></i>
														</a>
													<?php else : ?>
														<?php
															$full_image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full', false);
															$link = $full_image[0];
															?>
															<a  href="<?php echo esc_url($link) ?>" class="port-icon" data-rel="prettyPhoto" data-title="<?php the_title() ?>">
																<i class="fa fa-plus-circle"></i>
															</a>
													<?php endif; ?>       
												<?php endif ?>
											</div>
										<?php if($page_template_name=='portfolio-template.php'):?>
											<div class="info clearfix">
												<span class="title"><a href="<?php echo get_permalink(get_the_ID()); ?>"><?php the_title() ?></a></span>
												<span class="category"><?php echo esc_attr( $cat_slugs );?></span>
											</div>
										<?php else :?>
											<div class="overlay"></div>
											<div class="content-wrapper">
												<div class="content">
													<span class="title"><?php the_title() ?></span>
													<a href="<?php echo get_permalink(get_the_ID()); ?>" class="button border yellow small"><?php _e ('View', 'construct') ?></a>
												</div>
											</div>
										<?php endif;?>
									</div>	
							<?php $counter++; endwhile; ?>				
						<?php endif?>
					</div>
					<?php if ( $wp_query->max_num_pages > 1 ): ?>
						<nav class="pagination-right">
							<?php include(construct_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?> 
						</nav>
					<?php endif?>
				</div>
			</div>
			<?php if (!empty($sidebar) && $sidebarPos == 'right'): ?>
				<div class="col-sm-3 sidebar"><?php get_sidebar(); ?></div>
			<?php endif?>
		</div>
	</div>
	</div>
</div>
<?php get_footer() ?>