<?php
/********************* GOOGLE MAP **********************/

/***********************************/
vc_map( array(
   "name" => __("Construct Google Map", "construct"),
   "base" => "map",
   "class" => "",
   "icon" => "icon-wpb-map-pin",
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
      
      array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Latitude", "construct"),
         "param_name" => "lat"
      ),
	   array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Longitude", "construct"),
         "param_name" => "lon"
      ),
	   array(
         "type" => "textfield",
		 "holder"=>'div',
         "class" => "",
         "heading" => __("Address", "construct"),
         "param_name" => "address"
      ),
	   array(
		 "type" => "dropdown",	
		  "class" => "",
		  "heading" => __("Zoom", "construct"),
		  "param_name" => "z",
		  "value"=>array("1"=>"1", "2"=>"2", "3"=>"3", "4"=>"4", "5"=>"5", "6"=>"6", "7"=>"7", "8"=>"8", "9"=>"9", "10"=>"10", "11"=>"11", "12"=>"12", "13"=>"13", "14"=>"14", "15"=>"15", "16"=>"16", "17"=>"17", "18"=>"18", "19"=>"19", "20"=>"20")
		 ),
	    array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Width(in pixels)", "construct"),
         "param_name" => "w"
      ),
	   array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Height(in pixels)", "construct"),
         "param_name" => "h"
      ),
	    array(
		 "type" => "dropdown",	
		  "class" => "",
		  "heading" => __("Map Type", "construct"),
		  "param_name" => "maptype",
		  "value"=>array("Road"=>"ROADMAP", "Satellite"=>"SATELLITE", "Hybrid"=>"HYBRID", "Terrain"=>"TERRAIN")
		 ),
	   array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Marker(set address)", "construct"),
         "param_name" => "marker"
      ),
	   array(
         "type" => "attach_image",
         "class" => "",
         "heading" => __("Marker image: ", "construct"),
         "param_name" => "markerimage"
      ),
	  
	   array(
         "type" => "textarea",
         "class" => "",
         "heading" => __("Information window:", "construct"),
         "param_name" => "infowindow"
      ),
	   array(
		 "type" => "dropdown",	
		  "class" => "",
		  "heading" => __("Show Traffic:", "construct"),
		  "param_name" => "traffic",
		  "value"=>array("No"=>"no", "Yes"=>"yes")
		 ),
        array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      ),
   )
) );

/************************************************/
?>