<?php
/*************** Contact details ****************/


/********************************************/
vc_map( array(
   "name" => __("Construct contact details", "construct"),
   "base" => "contact",
   "class" => "alc_contact",
   "icon" => "icon-wpb-my_contact",
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
       array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Animation", "construct"),
         "param_name" => "anim",
         "value" => array( "None"=>"", "bounce"=>"bounce", "flash"=>"flash", "pulse"=>"pulse", "shake"=>"shake", "swing"=>"swing", "tada"=>"tada", "wobble"=>"wobble", "bounceIn"=>"bounceIn", "bounceInDown"=>"bounceInDown", "bounceInLeft"=>"bounceInLeft", "bounceInRight"=>"bounceInRight", "bounceInUp"=>"bounceInUp", "bounceOut"=>"bounceOut", "bounceOutDown"=>"bounceOutDown", "bounceOutLeft"=>"bounceOutLeft", "bounceOutRight"=>"bounceOutRight", "bounceOutUp"=>"bounceOutUp", "fadeIn"=>"fadeIn", "fadeInDown"=>"fadeInDown", "fadeInDownBig"=>"fadeInDownBig", "fadeInLeft"=>"fadeInLeft", "fadeInLeftBig"=>"fadeInLeftBig", "fadeInRight"=>"fadeInRight", "fadeInRightBig"=>"fadeInRightBig", "fadeInUp"=>"fadeInUp", "fadeInUpBig"=>"fadeInUpBig", "fadeOut"=>"fadeOut", "fadeOutDown"=>"fadeOutDown", "fadeOutDownBig"=>"fadeOutDownBig", "fadeOutLeft"=>"fadeOutLeft", "fadeOutLeftBig"=>"fadeOutLeftBig", "fadeOutRight"=>"fadeOutRight", "fadeOutRightBig"=>"fadeOutRightBig", "fadeOutUp"=>"fadeOutUp", "fadeOutUpBig"=>"fadeOutUpBig", "flip"=>"flip", "flipInX"=>"flipInX", "flipInY"=>"flipInY", "flipOutX"=>"flipOutX", "flipOutY"=>"flipOutY", "lightSpeedIn"=>"lightSpeedIn", "lightSpeedOut"=>"lightSpeedOut", "rotateIn"=>"rotateIn", "rotateInDownLeft"=>"rotateInDownLeft", "rotateInDownRight"=>"rotateInDownRight", "rotateInUpLeft"=>"rotateInUpLeft", "rotateInUpRight"=>"rotateInUpRight", "rotateOut"=>"rotateOut", "rotateOutDownLeft"=>"rotateOutDownLeft", "rotateOutDownRight"=>"rotateOutDownRight", "rotateOutUpLeft"=>"rotateOutUpLeft", "rotateOutUpRight"=>"rotateOutUpRight",  "hinge"=>"hinge", "rollIn"=>"rollIn", "rollOut"=>"rollOut", "zoomIn"=>"zoomIn","zoomInDown"=>"zoomInDown", "zoomInLeft"=>"zoomInLeft","zoomInRight"=>"zoomInRight","zoomInUp"=>"zoomInUp","zoomOut"=>"zoomOut", "zoomOutLeft"=>"zoomOutLeft", "zoomOutRight"=>"zoomOutRight","zoomOutUp"=>"zoomOutUp"),
         "description" => __(" Animation.", "construct")
      ),
	  array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Type", "construct"),
         "param_name" => "type",
         "value" => array("Vertical"=>"vertical", "Horizontal"=>"horizontal", "Alternative"=>"alter"),
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Color", "construct"),
         "param_name" => "color",
         "value" => array("Default"=>"color-default", "White"=>"color-white"),
		),
      array(
         "type" => "textfield",        
         "class" => "",
         "heading" => __("Address", "construct"),
         "param_name" => "address"
      ),
      array(
         "type" => "textfield",         
         "class" => "",
         "heading" => __("Telephone", "construct"),
         "param_name" => "tel"
      ),
       array(
         "type" => "textfield",         
         "class" => "",
         "heading" => __("E-mail", "construct"),
         "param_name" => "email"
      ),
	    array(
         "type" => "textfield",         
         "class" => "",
         "heading" => __("Website", "construct"),
         "param_name" => "website"
      ),
       array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      )
   )
) );
/*********************************************/
?>