<?php

/***************** Parallax *******************/

class WPBakeryShortCode_Fullbg extends WPBakeryShortCodesContainer{
	
}
/*******************************************/

vc_map( array(
   "name" => __("Construct Fullwidth background", "construct"),
   "base" => "fullbg",
   "icon" => "icon-wpb-my_fullbg",
	'is_container' => true,
    'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Type", "construct"),
         "param_name" => "type",
         "value"=>array("Regular"=>"", "Regular (With video)"=>"wvideo", "Parallax"=>"parallax")
      ),
	   array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Youtube video URL", "construct"),
         "param_name" => "videourl",
         "description" => __('For Video only', "construct")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Video autoplay", "construct"),
         "param_name" => "autoplay",
         "value"=>array("Yes"=>"true", "No"=>"false"),
		 "description" => __('For Video only', "construct")
      ),
	    array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Video loop", "construct"),
         "param_name" => "loop",
         "value"=>array("Yes"=>"true", "No"=>"false"),
		 "description" => __('For Video only', "construct")
      ),
	    array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Video Mute", "construct"),
         "param_name" => "mute",
         "value"=>array("Yes"=>"true", "No"=>"false"),
		 "description" => __('For Video only', "construct")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Video show controls", "construct"),
         "param_name" => "showcontrols",
         "value"=>array("Yes"=>"true", "No"=>"false"),
		 "description" => __('For Video only', "construct")
      ),
	   array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Force fixed height", "construct"),
         "param_name" => "height",
		 "value"=>"300",
         "description" => __('For Video only', "construct")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Video quality", "construct"),
         "param_name" => "quality",
         "value"=>array("Default"=>"default", "Small"=>"small", "Medium"=>"medium", "Large"=>"large", "HD720"=>"hd720", "HD1080"=>"hd1080", "High res"=>"highres"),
		 "description" => __('For Video only', "construct")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Scrolling speed", "construct"),
         "param_name" => "scrollspeed",
         "value" => array("0.1"=>"0.1","0.2"=>"0.2","0.3"=>"0.3","0.4"=>"0.4","0.5"=>"0.5","0.6"=>"0.6","0.7"=>"0.7","0.8"=>"0.8","0.9"=>"0.9","1"=>"1","2"=>"2")
      ),
	   array(
         "type" => "attach_image",
         "class" => "",
         "heading" => __("Background image", "construct"),
         "param_name" => "bgimage"
      ),
      array(
         "type" => "colorpicker",
         "class" => "",
         "heading" => __("Background color", "construct"),
         "param_name" => "bgcolor"
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Background repeat", "construct"),
         "param_name" => "bgrepeat",
         "value"=>array("No repeat"=>"no-repeat", "Repeat"=>"repeat", "Repeat-x"=>"repeat-x", "Repeat-y"=>"repeat-y")
      ),
	   array(
         "type" => "dropdown",
         "class" => "",
         "heading" => __("Padding", "construct"),
         "param_name" => "padding",
         "value"=>array("None"=>"", "Very Small"=>"padding-xsmall", "Small"=>"padding-small", "Medium"=>"padding-medium", "Large"=>"padding-large")
      ),
	    array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Custom padding", "construct"),
         "param_name" => "custompadding"
      ),
	   array(
			'type' => 'checkbox',
			'heading' => __( 'No Top Border', 'construct' ),
			'param_name' => 'notopborder',
			'value' => array( __( 'No Top Border', 'construct' ) => 'notopborder' )
		),
	   array(
			'type' => 'checkbox',
			'heading' => __( 'No Bottom Porder', 'construct' ),
			'param_name' => 'nobottomborder',
			'value' => array( __( 'No Bottom Border', 'construct' ) => 'nobottomborder' )
		),
       array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      )
   ),
	"js_view" => 'VcColumnView'
) );
/*********************************************/
?>