<?php

/****************************Modal BOX****************/


vc_map( array(
   "name" => __("Construct Modal box", "construct"),
   "base" => "reveal",
   "class" => "",
   "icon" => "icon-wpb-my_reveal",
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_templates/shortcodes.css'),
   "category" => __('Content', "construct"),
   "params" => array(
       array(
         "type" => "dropdown",
         
         "class" => "",
         "heading" => __("Type", "construct"),
         "param_name" => "type",
         "value" => array("Button"=>"btn","Link Style"=>"link"),
         "description" => __("Choose button type", "construct")
      ),
       array(
         "type" => "dropdown",
         
         "class" => "",
         "heading" => __("Color", "construct"),
         "param_name" => "color",
         "value" => array("Default"=>"btn-default btn-construct","Primary"=>"btn-primary", "Info"=>"btn-info", "Success"=>"btn-success","Warning"=>"btn-warning", "Danger"=>"btn-danger"),
         "description" => __("Choose button color.", "construct")
      ),
      array(
         "type" => "dropdown",
         
         "class" => "",
         "heading" => __("Size", "construct"),
         "param_name" => "size",
         "value" => array("Large"=>"btn-lg", "Default"=>"", "Small"=>"btn-sm","Very Small"=>"btn-xs"),
         "description" => __("Choose button size.", "construct")
      ),
      
      array(
         "type" => "textfield",
         "holder" =>'div',
         "class" => "",
         "heading" => __("Button Text", "construct"),
         "param_name" => "button"
      ),
      array(
         "type" => "textfield",
         
         "class" => "",
         "heading" => __("Box Title", "construct"),
         "param_name" => "revtitle"
      ),
	   array(
         "type" => "dropdown",
         
         "class" => "",
         "heading" => __("Hide close button", "construct"),
         "param_name" => "noclosebutton",
         "value" => array("No"=>"false", "Yes"=>"true")
      ),
       array(
         "type" => "textarea_html",
         
         "class" => "",
         "heading" => __("Content", "construct"),
         "param_name" => "content",
         "description" => __(" Box content.", "construct")
      ),
       array(
         "type" => "textfield",
         "class" => "",
         "heading" => __("Extra class", "construct"),
         "param_name" => "class",
         "description" => __(' Extra class name', "construct")
      )
   )
) );

/************************************************/
?>